/// <reference types="react" />
export declare const animation: {
    shimmer: {
        "0%": {
            backgroundColor: string;
        };
        "50%": {
            backgroundColor: string;
        };
        "100%": {
            backgroundColor: string;
        };
    };
    spinner: {
        from: {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
};
export declare const icon: {
    defaultColor: string;
    size: {
        micro: number;
        smaller: number;
        small: number;
        default: number;
        large: number;
        huge: number;
    };
};
export declare const map: ({
    featureType: string;
    elementType: string;
    stylers: ({
        saturation: number;
        color?: undefined;
        lightness?: undefined;
    } | {
        color: string;
        saturation?: undefined;
        lightness?: undefined;
    } | {
        lightness: number;
        saturation?: undefined;
        color?: undefined;
    })[];
} | {
    featureType: string;
    elementType: string;
    stylers: ({
        visibility: string;
        color?: undefined;
        lightness?: undefined;
    } | {
        color: string;
        visibility?: undefined;
        lightness?: undefined;
    } | {
        lightness: number;
        visibility?: undefined;
        color?: undefined;
    })[];
} | {
    featureType: string;
    elementType: string;
    stylers: ({
        color: string;
        lightness?: undefined;
        weight?: undefined;
    } | {
        lightness: number;
        color?: undefined;
        weight?: undefined;
    } | {
        weight: number;
        color?: undefined;
        lightness?: undefined;
    })[];
} | {
    featureType: string;
    elementType: string;
    stylers: ({
        saturation: number;
        lightness?: undefined;
        gamma?: undefined;
        hue?: undefined;
    } | {
        lightness: number;
        saturation?: undefined;
        gamma?: undefined;
        hue?: undefined;
    } | {
        gamma: number;
        saturation?: undefined;
        lightness?: undefined;
        hue?: undefined;
    } | {
        hue: string;
        saturation?: undefined;
        lightness?: undefined;
        gamma?: undefined;
    })[];
})[];
export declare const input: {
    inlineSpacing: number;
    spacing: number;
    borderRadius: number;
    background: string;
    color: string;
    placeholderColor: string;
    verticalPadding: number;
    horizontalPadding: number;
    default: {
        background: string;
        color: string;
        fontSize: string;
        letterSpacing: string;
        lineHeight: number;
        marginBottom: number;
        borderWidth: number;
        borderStyle: string;
        borderColor: string;
        borderRadius: number;
    };
    disabled: {
        borderWidth: number;
        borderStyle: string;
        borderColor: string;
        borderRadius: number;
        background: string;
    };
    invalid: {
        borderWidth: number;
        borderStyle: string;
        borderColor: string;
        borderRadius: number;
        background: string;
    };
    small: {
        color: string;
        fontSize: string;
        letterSpacing: string;
        lineHeight: number;
        height: number;
    };
    focus: {
        background: string;
        borderWidth: number;
        borderStyle: string;
        borderColor: string;
        borderRadius: number;
    };
    radio: {
        size: number;
        background: any;
        borderRadius: string;
        border: {
            borderColor: string;
            borderRadius: string;
            borderWidth: number;
            borderStyle: string;
        };
        disabled: {
            background: string;
            border: {
                borderRadius: string;
                borderWidth: number;
                borderStyle: string;
                borderColor: string;
            };
        };
        invalid: {
            background: string;
            border: {
                borderRadius: string;
                borderWidth: number;
                borderStyle: string;
                borderColor: string;
            };
        };
        checkMark: {
            width: number;
            height: number;
            background: string;
            borderRadius: string;
        };
    };
    checkbox: {
        size: number;
        background: any;
        borderRadius: number;
        border: {
            borderColor: string;
            borderRadius: number;
            borderWidth: number;
            borderStyle: string;
        };
        disabled: {
            background: string;
            border: {
                borderRadius: number;
                borderWidth: number;
                borderStyle: string;
                borderColor: string;
            };
        };
        invalid: {
            background: string;
            border: {
                borderRadius: number;
                borderWidth: number;
                borderStyle: string;
                borderColor: string;
            };
        };
        checkMark: {
            width: number;
            height: number;
            background: string;
        };
    };
};
export declare const container: {
    micro: number;
    small: number;
    default: number;
    large: number;
};
export declare const font: {
    family: {
        default: string;
        icon: string;
    };
    size: {
        small: {
            title1: number;
            title2: number;
            title3: number;
            title4: number;
            title5: number;
            title6: number;
            large: number;
            regular: number;
            small: number;
            micro: number;
        };
        large: {
            title1: number;
            title2: number;
            title3: number;
            title4: number;
            title5: number;
            title6: number;
            large: number;
            regular: number;
            small: number;
            micro: number;
        };
    };
};
export declare const unit = 15;
export declare const units: (value: number) => number;
export declare const styled: <Type extends import("@stitches/react/types/util").Function | keyof JSX.IntrinsicElements | import("react").ComponentType<any>, Composers extends (string | import("@stitches/react/types/util").Function | import("react").ComponentType<any> | {
    [name: string]: unknown;
})[], CSS = import("@stitches/react/types/css-util").CSS<{
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, {
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        neutral_gray0: string;
        neutral_gray2: string;
        neutral_gray4: string;
        neutral_gray6: string;
        neutral_gray8: string;
        neutral_gray10: string;
        neutral_gray20: string;
        neutral_gray30: string;
        neutral_gray40: string;
        neutral_gray50: string;
        neutral_gray60: string;
        neutral_gray70: string;
        neutral_gray80: string;
        neutral_gray90: string;
        neutral_gray100: string;
        primary_blue0: string;
        primary_blue2: string;
        primary_blue4: string;
        primary_blue6: string;
        primary_blue8: string;
        primary_blue10: string;
        primary_blue20: string;
        primary_blue30: string;
        primary_blue40: string;
        primary_blue50: string;
        primary_blue60: string;
        primary_blue70: string;
        primary_blue80: string;
        primary_blue90: string;
        primary_blue100: string;
        orange_alert0: string;
        orange_alert2: string;
        orange_alert4: string;
        orange_alert6: string;
        orange_alert8: string;
        orange_alert10: string;
        orange_alert20: string;
        orange_alert30: string;
        orange_alert40: string;
        orange_alert50: string;
        orange_alert60: string;
        orange_alert70: string;
        orange_alert80: string;
        orange_alert90: string;
        orange_alert100: string;
        green_success0: string;
        green_success2: string;
        green_success4: string;
        green_success6: string;
        green_success8: string;
        green_success10: string;
        green_success20: string;
        green_success30: string;
        green_success40: string;
        green_success50: string;
        green_success60: string;
        green_success70: string;
        green_success80: string;
        green_success90: string;
        green_success100: string;
        red_danger0: string;
        red_danger2: string;
        red_danger4: string;
        red_danger6: string;
        red_danger8: string;
        red_danger10: string;
        red_danger20: string;
        red_danger30: string;
        red_danger40: string;
        red_danger50: string;
        red_danger60: string;
        red_danger70: string;
        red_danger80: string;
        red_danger90: string;
        red_danger100: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
    };
    fontSizes: {
        small_title1: string;
        small_title2: string;
        small_title3: string;
        small_title4: string;
        small_title5: string;
        small_title6: string;
        small_large: string;
        small_regular: string;
        small_small: string;
        small_micro: string;
        large_title1: string;
        large_title2: string;
        large_title3: string;
        large_title4: string;
        large_title5: string;
        large_title6: string;
        large_large: string;
        large_regular: string;
        large_small: string;
        large_micro: string;
    };
    fontWeights: {
        bold: number;
        light: number;
        normal: number;
        semibold: number;
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    breakpoints: {
        small: number;
        medium: number;
        large: number;
        xlarge: number;
    };
    space: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        gutter_small_micro_top: string;
        gutter_small_micro_right: string;
        gutter_small_micro_bottom: string;
        gutter_small_micro_left: string;
        gutter_small_small_top: string;
        gutter_small_small_right: string;
        gutter_small_small_bottom: string;
        gutter_small_small_left: string;
        gutter_small_regular_top: string;
        gutter_small_regular_right: string;
        gutter_small_regular_bottom: string;
        gutter_small_regular_left: string;
        gutter_small_large_top: string;
        gutter_small_large_right: string;
        gutter_small_large_bottom: string;
        gutter_small_large_left: string;
        gutter_medium_micro_top: string;
        gutter_medium_micro_right: string;
        gutter_medium_micro_bottom: string;
        gutter_medium_micro_left: string;
        gutter_medium_small_top: string;
        gutter_medium_small_right: string;
        gutter_medium_small_bottom: string;
        gutter_medium_small_left: string;
        gutter_medium_regular_top: string;
        gutter_medium_regular_right: string;
        gutter_medium_regular_bottom: string;
        gutter_medium_regular_left: string;
        gutter_medium_large_top: string;
        gutter_medium_large_right: string;
        gutter_medium_large_bottom: string;
        gutter_medium_large_left: string;
        gutter_large_micro_top: string;
        gutter_large_micro_right: string;
        gutter_large_micro_bottom: string;
        gutter_large_micro_left: string;
        gutter_large_small: string;
        gutter_large_regular_top: string;
        gutter_large_regular_right: string;
        gutter_large_regular_bottom: string;
        gutter_large_regular_left: string;
        gutter_large_large_top: string;
        gutter_large_large_right: string;
        gutter_large_large_bottom: string;
        gutter_large_large_left: string;
        gutter_xlarge_micro_top: string;
        gutter_xlarge_micro_right: string;
        gutter_xlarge_micro_bottom: string;
        gutter_xlarge_micro_left: string;
        gutter_xlarge_small_top: string;
        gutter_xlarge_small_right: string;
        gutter_xlarge_small_bottom: string;
        gutter_xlarge_small_left: string;
        gutter_xlarge_regular_top: string;
        gutter_xlarge_regular_right: string;
        gutter_xlarge_regular_bottom: string;
        gutter_xlarge_regular_left: string;
        gutter_xlarge_large_top: string;
        gutter_xlarge_large_right: string;
        gutter_xlarge_large_bottom: string;
        gutter_xlarge_large_left: string;
    };
}, {
    height: "space";
    width: "space";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    blockSize: "sizes";
    minBlockSize: "sizes";
    maxBlockSize: "sizes";
    inlineSize: "sizes";
    minInlineSize: "sizes";
    maxInlineSize: "sizes";
    minWidth: "sizes";
    maxWidth: "sizes";
    minHeight: "sizes";
    maxHeight: "sizes";
    flexBasis: "sizes";
    gridTemplateColumns: "sizes";
    gridTemplateRows: "sizes";
    borderWidth: "borderWidths";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    flexHorizontalCenter: (gap: string) => {
        display: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    flexVerticalCenter: (gap: string) => {
        display: string;
        flexDirection: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    verticalPadding: (value: string) => {
        paddingTop: string;
        paddingBottom: string;
    };
    horizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    compactHorizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    cellColumnslarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    size: (size: number) => {
        width: string;
    };
    mediumSize: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    largeSize: (size: number) => {
        "@large": {
            width: string;
        };
    };
    xlargeSize: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
    columns: (size: number) => {
        width: string;
    };
    columnsOnMedium: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    columnsOnLarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    columnsOnXlarge: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
}>>(type: Type, ...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | import("@stitches/react/types/util").Function | import("react").ComponentType<any> ? Composers[K] : import("@stitches/react/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? { [Name in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : import("@stitches/react/types/util").WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? { [Name_1 in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : import("@stitches/react/types/util").WideObject) | undefined;
} & CSS & { [K2 in keyof Composers[K]]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; }; }) => import("@stitches/react/types/styled-component").StyledComponent<Type, import("@stitches/react/types/styled-component").StyledComponentProps<Composers>, {
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, import("@stitches/react/types/css-util").CSS<{
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, {
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        neutral_gray0: string;
        neutral_gray2: string;
        neutral_gray4: string;
        neutral_gray6: string;
        neutral_gray8: string;
        neutral_gray10: string;
        neutral_gray20: string;
        neutral_gray30: string;
        neutral_gray40: string;
        neutral_gray50: string;
        neutral_gray60: string;
        neutral_gray70: string;
        neutral_gray80: string;
        neutral_gray90: string;
        neutral_gray100: string;
        primary_blue0: string;
        primary_blue2: string;
        primary_blue4: string;
        primary_blue6: string;
        primary_blue8: string;
        primary_blue10: string;
        primary_blue20: string;
        primary_blue30: string;
        primary_blue40: string;
        primary_blue50: string;
        primary_blue60: string;
        primary_blue70: string;
        primary_blue80: string;
        primary_blue90: string;
        primary_blue100: string;
        orange_alert0: string;
        orange_alert2: string;
        orange_alert4: string;
        orange_alert6: string;
        orange_alert8: string;
        orange_alert10: string;
        orange_alert20: string;
        orange_alert30: string;
        orange_alert40: string;
        orange_alert50: string;
        orange_alert60: string;
        orange_alert70: string;
        orange_alert80: string;
        orange_alert90: string;
        orange_alert100: string;
        green_success0: string;
        green_success2: string;
        green_success4: string;
        green_success6: string;
        green_success8: string;
        green_success10: string;
        green_success20: string;
        green_success30: string;
        green_success40: string;
        green_success50: string;
        green_success60: string;
        green_success70: string;
        green_success80: string;
        green_success90: string;
        green_success100: string;
        red_danger0: string;
        red_danger2: string;
        red_danger4: string;
        red_danger6: string;
        red_danger8: string;
        red_danger10: string;
        red_danger20: string;
        red_danger30: string;
        red_danger40: string;
        red_danger50: string;
        red_danger60: string;
        red_danger70: string;
        red_danger80: string;
        red_danger90: string;
        red_danger100: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
    };
    fontSizes: {
        small_title1: string;
        small_title2: string;
        small_title3: string;
        small_title4: string;
        small_title5: string;
        small_title6: string;
        small_large: string;
        small_regular: string;
        small_small: string;
        small_micro: string;
        large_title1: string;
        large_title2: string;
        large_title3: string;
        large_title4: string;
        large_title5: string;
        large_title6: string;
        large_large: string;
        large_regular: string;
        large_small: string;
        large_micro: string;
    };
    fontWeights: {
        bold: number;
        light: number;
        normal: number;
        semibold: number;
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    breakpoints: {
        small: number;
        medium: number;
        large: number;
        xlarge: number;
    };
    space: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        gutter_small_micro_top: string;
        gutter_small_micro_right: string;
        gutter_small_micro_bottom: string;
        gutter_small_micro_left: string;
        gutter_small_small_top: string;
        gutter_small_small_right: string;
        gutter_small_small_bottom: string;
        gutter_small_small_left: string;
        gutter_small_regular_top: string;
        gutter_small_regular_right: string;
        gutter_small_regular_bottom: string;
        gutter_small_regular_left: string;
        gutter_small_large_top: string;
        gutter_small_large_right: string;
        gutter_small_large_bottom: string;
        gutter_small_large_left: string;
        gutter_medium_micro_top: string;
        gutter_medium_micro_right: string;
        gutter_medium_micro_bottom: string;
        gutter_medium_micro_left: string;
        gutter_medium_small_top: string;
        gutter_medium_small_right: string;
        gutter_medium_small_bottom: string;
        gutter_medium_small_left: string;
        gutter_medium_regular_top: string;
        gutter_medium_regular_right: string;
        gutter_medium_regular_bottom: string;
        gutter_medium_regular_left: string;
        gutter_medium_large_top: string;
        gutter_medium_large_right: string;
        gutter_medium_large_bottom: string;
        gutter_medium_large_left: string;
        gutter_large_micro_top: string;
        gutter_large_micro_right: string;
        gutter_large_micro_bottom: string;
        gutter_large_micro_left: string;
        gutter_large_small: string;
        gutter_large_regular_top: string;
        gutter_large_regular_right: string;
        gutter_large_regular_bottom: string;
        gutter_large_regular_left: string;
        gutter_large_large_top: string;
        gutter_large_large_right: string;
        gutter_large_large_bottom: string;
        gutter_large_large_left: string;
        gutter_xlarge_micro_top: string;
        gutter_xlarge_micro_right: string;
        gutter_xlarge_micro_bottom: string;
        gutter_xlarge_micro_left: string;
        gutter_xlarge_small_top: string;
        gutter_xlarge_small_right: string;
        gutter_xlarge_small_bottom: string;
        gutter_xlarge_small_left: string;
        gutter_xlarge_regular_top: string;
        gutter_xlarge_regular_right: string;
        gutter_xlarge_regular_bottom: string;
        gutter_xlarge_regular_left: string;
        gutter_xlarge_large_top: string;
        gutter_xlarge_large_right: string;
        gutter_xlarge_large_bottom: string;
        gutter_xlarge_large_left: string;
    };
}, {
    height: "space";
    width: "space";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    blockSize: "sizes";
    minBlockSize: "sizes";
    maxBlockSize: "sizes";
    inlineSize: "sizes";
    minInlineSize: "sizes";
    maxInlineSize: "sizes";
    minWidth: "sizes";
    maxWidth: "sizes";
    minHeight: "sizes";
    maxHeight: "sizes";
    flexBasis: "sizes";
    gridTemplateColumns: "sizes";
    gridTemplateRows: "sizes";
    borderWidth: "borderWidths";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    flexHorizontalCenter: (gap: string) => {
        display: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    flexVerticalCenter: (gap: string) => {
        display: string;
        flexDirection: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    verticalPadding: (value: string) => {
        paddingTop: string;
        paddingBottom: string;
    };
    horizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    compactHorizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    cellColumnslarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    size: (size: number) => {
        width: string;
    };
    mediumSize: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    largeSize: (size: number) => {
        "@large": {
            width: string;
        };
    };
    xlargeSize: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
    columns: (size: number) => {
        width: string;
    };
    columnsOnMedium: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    columnsOnLarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    columnsOnXlarge: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
}>>, css: <Composers extends (string | import("@stitches/react/types/util").Function | import("react").JSXElementConstructor<any> | import("react").ExoticComponent<any> | {
    [name: string]: unknown;
})[], CSS = import("@stitches/react/types/css-util").CSS<{
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, {
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        neutral_gray0: string;
        neutral_gray2: string;
        neutral_gray4: string;
        neutral_gray6: string;
        neutral_gray8: string;
        neutral_gray10: string;
        neutral_gray20: string;
        neutral_gray30: string;
        neutral_gray40: string;
        neutral_gray50: string;
        neutral_gray60: string;
        neutral_gray70: string;
        neutral_gray80: string;
        neutral_gray90: string;
        neutral_gray100: string;
        primary_blue0: string;
        primary_blue2: string;
        primary_blue4: string;
        primary_blue6: string;
        primary_blue8: string;
        primary_blue10: string;
        primary_blue20: string;
        primary_blue30: string;
        primary_blue40: string;
        primary_blue50: string;
        primary_blue60: string;
        primary_blue70: string;
        primary_blue80: string;
        primary_blue90: string;
        primary_blue100: string;
        orange_alert0: string;
        orange_alert2: string;
        orange_alert4: string;
        orange_alert6: string;
        orange_alert8: string;
        orange_alert10: string;
        orange_alert20: string;
        orange_alert30: string;
        orange_alert40: string;
        orange_alert50: string;
        orange_alert60: string;
        orange_alert70: string;
        orange_alert80: string;
        orange_alert90: string;
        orange_alert100: string;
        green_success0: string;
        green_success2: string;
        green_success4: string;
        green_success6: string;
        green_success8: string;
        green_success10: string;
        green_success20: string;
        green_success30: string;
        green_success40: string;
        green_success50: string;
        green_success60: string;
        green_success70: string;
        green_success80: string;
        green_success90: string;
        green_success100: string;
        red_danger0: string;
        red_danger2: string;
        red_danger4: string;
        red_danger6: string;
        red_danger8: string;
        red_danger10: string;
        red_danger20: string;
        red_danger30: string;
        red_danger40: string;
        red_danger50: string;
        red_danger60: string;
        red_danger70: string;
        red_danger80: string;
        red_danger90: string;
        red_danger100: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
    };
    fontSizes: {
        small_title1: string;
        small_title2: string;
        small_title3: string;
        small_title4: string;
        small_title5: string;
        small_title6: string;
        small_large: string;
        small_regular: string;
        small_small: string;
        small_micro: string;
        large_title1: string;
        large_title2: string;
        large_title3: string;
        large_title4: string;
        large_title5: string;
        large_title6: string;
        large_large: string;
        large_regular: string;
        large_small: string;
        large_micro: string;
    };
    fontWeights: {
        bold: number;
        light: number;
        normal: number;
        semibold: number;
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    breakpoints: {
        small: number;
        medium: number;
        large: number;
        xlarge: number;
    };
    space: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        gutter_small_micro_top: string;
        gutter_small_micro_right: string;
        gutter_small_micro_bottom: string;
        gutter_small_micro_left: string;
        gutter_small_small_top: string;
        gutter_small_small_right: string;
        gutter_small_small_bottom: string;
        gutter_small_small_left: string;
        gutter_small_regular_top: string;
        gutter_small_regular_right: string;
        gutter_small_regular_bottom: string;
        gutter_small_regular_left: string;
        gutter_small_large_top: string;
        gutter_small_large_right: string;
        gutter_small_large_bottom: string;
        gutter_small_large_left: string;
        gutter_medium_micro_top: string;
        gutter_medium_micro_right: string;
        gutter_medium_micro_bottom: string;
        gutter_medium_micro_left: string;
        gutter_medium_small_top: string;
        gutter_medium_small_right: string;
        gutter_medium_small_bottom: string;
        gutter_medium_small_left: string;
        gutter_medium_regular_top: string;
        gutter_medium_regular_right: string;
        gutter_medium_regular_bottom: string;
        gutter_medium_regular_left: string;
        gutter_medium_large_top: string;
        gutter_medium_large_right: string;
        gutter_medium_large_bottom: string;
        gutter_medium_large_left: string;
        gutter_large_micro_top: string;
        gutter_large_micro_right: string;
        gutter_large_micro_bottom: string;
        gutter_large_micro_left: string;
        gutter_large_small: string;
        gutter_large_regular_top: string;
        gutter_large_regular_right: string;
        gutter_large_regular_bottom: string;
        gutter_large_regular_left: string;
        gutter_large_large_top: string;
        gutter_large_large_right: string;
        gutter_large_large_bottom: string;
        gutter_large_large_left: string;
        gutter_xlarge_micro_top: string;
        gutter_xlarge_micro_right: string;
        gutter_xlarge_micro_bottom: string;
        gutter_xlarge_micro_left: string;
        gutter_xlarge_small_top: string;
        gutter_xlarge_small_right: string;
        gutter_xlarge_small_bottom: string;
        gutter_xlarge_small_left: string;
        gutter_xlarge_regular_top: string;
        gutter_xlarge_regular_right: string;
        gutter_xlarge_regular_bottom: string;
        gutter_xlarge_regular_left: string;
        gutter_xlarge_large_top: string;
        gutter_xlarge_large_right: string;
        gutter_xlarge_large_bottom: string;
        gutter_xlarge_large_left: string;
    };
}, {
    height: "space";
    width: "space";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    blockSize: "sizes";
    minBlockSize: "sizes";
    maxBlockSize: "sizes";
    inlineSize: "sizes";
    minInlineSize: "sizes";
    maxInlineSize: "sizes";
    minWidth: "sizes";
    maxWidth: "sizes";
    minHeight: "sizes";
    maxHeight: "sizes";
    flexBasis: "sizes";
    gridTemplateColumns: "sizes";
    gridTemplateRows: "sizes";
    borderWidth: "borderWidths";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    flexHorizontalCenter: (gap: string) => {
        display: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    flexVerticalCenter: (gap: string) => {
        display: string;
        flexDirection: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    verticalPadding: (value: string) => {
        paddingTop: string;
        paddingBottom: string;
    };
    horizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    compactHorizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    cellColumnslarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    size: (size: number) => {
        width: string;
    };
    mediumSize: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    largeSize: (size: number) => {
        "@large": {
            width: string;
        };
    };
    xlargeSize: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
    columns: (size: number) => {
        width: string;
    };
    columnsOnMedium: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    columnsOnLarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    columnsOnXlarge: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | import("@stitches/react/types/util").Function | import("react").JSXElementConstructor<any> | import("react").ExoticComponent<any> ? Composers[K] : import("@stitches/react/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? { [Name in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : import("@stitches/react/types/util").WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? { [Name_1 in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : import("@stitches/react/types/util").WideObject) | undefined;
} & CSS & { [K2 in keyof Composers[K]]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; }; }) => import("@stitches/react/types/styled-component").CssComponent<import("@stitches/react/types/styled-component").StyledComponentType<Composers>, import("@stitches/react/types/styled-component").StyledComponentProps<Composers>, {
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, CSS>, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@@font-face" ? import("@stitches/react/types/css").AtRule.FontFace | import("@stitches/react/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/react/types/css-util").CSS<{
        xlarge: ` (min-width: ${number}px)`;
        large: `(min-width: ${number}px)`;
        mediumAndAbove: `(min-width: ${number}px)`;
        medium: ` (max-width: ${number}px)`;
        small: `(max-width: ${number}px)`;
    }, {
        colors: {
            transparent: string;
            current: string;
            black: string;
            white: string;
            neutral_gray0: string;
            neutral_gray2: string;
            neutral_gray4: string;
            neutral_gray6: string;
            neutral_gray8: string;
            neutral_gray10: string;
            neutral_gray20: string;
            neutral_gray30: string;
            neutral_gray40: string;
            neutral_gray50: string;
            neutral_gray60: string;
            neutral_gray70: string;
            neutral_gray80: string;
            neutral_gray90: string;
            neutral_gray100: string;
            primary_blue0: string;
            primary_blue2: string;
            primary_blue4: string;
            primary_blue6: string;
            primary_blue8: string;
            primary_blue10: string;
            primary_blue20: string;
            primary_blue30: string;
            primary_blue40: string;
            primary_blue50: string;
            primary_blue60: string;
            primary_blue70: string;
            primary_blue80: string;
            primary_blue90: string;
            primary_blue100: string;
            orange_alert0: string;
            orange_alert2: string;
            orange_alert4: string;
            orange_alert6: string;
            orange_alert8: string;
            orange_alert10: string;
            orange_alert20: string;
            orange_alert30: string;
            orange_alert40: string;
            orange_alert50: string;
            orange_alert60: string;
            orange_alert70: string;
            orange_alert80: string;
            orange_alert90: string;
            orange_alert100: string;
            green_success0: string;
            green_success2: string;
            green_success4: string;
            green_success6: string;
            green_success8: string;
            green_success10: string;
            green_success20: string;
            green_success30: string;
            green_success40: string;
            green_success50: string;
            green_success60: string;
            green_success70: string;
            green_success80: string;
            green_success90: string;
            green_success100: string;
            red_danger0: string;
            red_danger2: string;
            red_danger4: string;
            red_danger6: string;
            red_danger8: string;
            red_danger10: string;
            red_danger20: string;
            red_danger30: string;
            red_danger40: string;
            red_danger50: string;
            red_danger60: string;
            red_danger70: string;
            red_danger80: string;
            red_danger90: string;
            red_danger100: string;
            primary: string;
            primarySaturated: string;
            primaryDarker: string;
            secondary: string;
            secondarySaturated: string;
            secondaryDarker: string;
            success: string;
            warning: string;
            alert: string;
            successLight: string;
            warningLight: string;
            alertLight: string;
            successDark: string;
            warningDark: string;
            alertDark: string;
            gray: string;
            grayLighter: string;
            grayLight: string;
            grayDark: string;
            grayDarker: string;
            grayDarkest: string;
            blueGray: string;
            blueGrayLightest: string;
            blueGrayLighter: string;
            blueGrayLight: string;
            blueGrayDark: string;
            shadow: string;
            shadowWeakest: string;
            shadowWeaker: string;
            shadowWeak: string;
            shadowStrong: string;
            shadowStronger: string;
            shadowStrongest: string;
            fog: string;
            fogWeakest: string;
            fogWeaker: string;
            fogWeak: string;
            fogStrong: string;
            fogStronger: string;
            fogStrongest: string;
        };
        fontSizes: {
            small_title1: string;
            small_title2: string;
            small_title3: string;
            small_title4: string;
            small_title5: string;
            small_title6: string;
            small_large: string;
            small_regular: string;
            small_small: string;
            small_micro: string;
            large_title1: string;
            large_title2: string;
            large_title3: string;
            large_title4: string;
            large_title5: string;
            large_title6: string;
            large_large: string;
            large_regular: string;
            large_small: string;
            large_micro: string;
        };
        fontWeights: {
            bold: number;
            light: number;
            normal: number;
            semibold: number;
        };
        lineHeight: {
            regular: number;
            short: number;
            shorter: number;
            tall: number;
        };
        breakpoints: {
            small: number;
            medium: number;
            large: number;
            xlarge: number;
        };
        space: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            gutter_small_micro_top: string;
            gutter_small_micro_right: string;
            gutter_small_micro_bottom: string;
            gutter_small_micro_left: string;
            gutter_small_small_top: string;
            gutter_small_small_right: string;
            gutter_small_small_bottom: string;
            gutter_small_small_left: string;
            gutter_small_regular_top: string;
            gutter_small_regular_right: string;
            gutter_small_regular_bottom: string;
            gutter_small_regular_left: string;
            gutter_small_large_top: string;
            gutter_small_large_right: string;
            gutter_small_large_bottom: string;
            gutter_small_large_left: string;
            gutter_medium_micro_top: string;
            gutter_medium_micro_right: string;
            gutter_medium_micro_bottom: string;
            gutter_medium_micro_left: string;
            gutter_medium_small_top: string;
            gutter_medium_small_right: string;
            gutter_medium_small_bottom: string;
            gutter_medium_small_left: string;
            gutter_medium_regular_top: string;
            gutter_medium_regular_right: string;
            gutter_medium_regular_bottom: string;
            gutter_medium_regular_left: string;
            gutter_medium_large_top: string;
            gutter_medium_large_right: string;
            gutter_medium_large_bottom: string;
            gutter_medium_large_left: string;
            gutter_large_micro_top: string;
            gutter_large_micro_right: string;
            gutter_large_micro_bottom: string;
            gutter_large_micro_left: string;
            gutter_large_small: string;
            gutter_large_regular_top: string;
            gutter_large_regular_right: string;
            gutter_large_regular_bottom: string;
            gutter_large_regular_left: string;
            gutter_large_large_top: string;
            gutter_large_large_right: string;
            gutter_large_large_bottom: string;
            gutter_large_large_left: string;
            gutter_xlarge_micro_top: string;
            gutter_xlarge_micro_right: string;
            gutter_xlarge_micro_bottom: string;
            gutter_xlarge_micro_left: string;
            gutter_xlarge_small_top: string;
            gutter_xlarge_small_right: string;
            gutter_xlarge_small_bottom: string;
            gutter_xlarge_small_left: string;
            gutter_xlarge_regular_top: string;
            gutter_xlarge_regular_right: string;
            gutter_xlarge_regular_bottom: string;
            gutter_xlarge_regular_left: string;
            gutter_xlarge_large_top: string;
            gutter_xlarge_large_right: string;
            gutter_xlarge_large_bottom: string;
            gutter_xlarge_large_left: string;
        };
    }, {
        height: "space";
        width: "space";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        blockSize: "sizes";
        minBlockSize: "sizes";
        maxBlockSize: "sizes";
        inlineSize: "sizes";
        minInlineSize: "sizes";
        maxInlineSize: "sizes";
        minWidth: "sizes";
        maxWidth: "sizes";
        minHeight: "sizes";
        maxHeight: "sizes";
        flexBasis: "sizes";
        gridTemplateColumns: "sizes";
        gridTemplateRows: "sizes";
        borderWidth: "borderWidths";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    }, {
        flexHorizontalCenter: (gap: string) => {
            display: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        flexVerticalCenter: (gap: string) => {
            display: string;
            flexDirection: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        verticalPadding: (value: string) => {
            paddingTop: string;
            paddingBottom: string;
        };
        horizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        compactHorizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        cellColumnslarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        size: (size: number) => {
            width: string;
        };
        mediumSize: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        largeSize: (size: number) => {
            "@large": {
                width: string;
            };
        };
        xlargeSize: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
        columns: (size: number) => {
            width: string;
        };
        columnsOnMedium: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        columnsOnLarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        columnsOnXlarge: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
    }>;
} : K extends `@property ${string}` ? import("@stitches/react/types/css").AtRule.Property : import("@stitches/react/types/css-util").CSS<{
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, {
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        neutral_gray0: string;
        neutral_gray2: string;
        neutral_gray4: string;
        neutral_gray6: string;
        neutral_gray8: string;
        neutral_gray10: string;
        neutral_gray20: string;
        neutral_gray30: string;
        neutral_gray40: string;
        neutral_gray50: string;
        neutral_gray60: string;
        neutral_gray70: string;
        neutral_gray80: string;
        neutral_gray90: string;
        neutral_gray100: string;
        primary_blue0: string;
        primary_blue2: string;
        primary_blue4: string;
        primary_blue6: string;
        primary_blue8: string;
        primary_blue10: string;
        primary_blue20: string;
        primary_blue30: string;
        primary_blue40: string;
        primary_blue50: string;
        primary_blue60: string;
        primary_blue70: string;
        primary_blue80: string;
        primary_blue90: string;
        primary_blue100: string;
        orange_alert0: string;
        orange_alert2: string;
        orange_alert4: string;
        orange_alert6: string;
        orange_alert8: string;
        orange_alert10: string;
        orange_alert20: string;
        orange_alert30: string;
        orange_alert40: string;
        orange_alert50: string;
        orange_alert60: string;
        orange_alert70: string;
        orange_alert80: string;
        orange_alert90: string;
        orange_alert100: string;
        green_success0: string;
        green_success2: string;
        green_success4: string;
        green_success6: string;
        green_success8: string;
        green_success10: string;
        green_success20: string;
        green_success30: string;
        green_success40: string;
        green_success50: string;
        green_success60: string;
        green_success70: string;
        green_success80: string;
        green_success90: string;
        green_success100: string;
        red_danger0: string;
        red_danger2: string;
        red_danger4: string;
        red_danger6: string;
        red_danger8: string;
        red_danger10: string;
        red_danger20: string;
        red_danger30: string;
        red_danger40: string;
        red_danger50: string;
        red_danger60: string;
        red_danger70: string;
        red_danger80: string;
        red_danger90: string;
        red_danger100: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
    };
    fontSizes: {
        small_title1: string;
        small_title2: string;
        small_title3: string;
        small_title4: string;
        small_title5: string;
        small_title6: string;
        small_large: string;
        small_regular: string;
        small_small: string;
        small_micro: string;
        large_title1: string;
        large_title2: string;
        large_title3: string;
        large_title4: string;
        large_title5: string;
        large_title6: string;
        large_large: string;
        large_regular: string;
        large_small: string;
        large_micro: string;
    };
    fontWeights: {
        bold: number;
        light: number;
        normal: number;
        semibold: number;
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    breakpoints: {
        small: number;
        medium: number;
        large: number;
        xlarge: number;
    };
    space: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        gutter_small_micro_top: string;
        gutter_small_micro_right: string;
        gutter_small_micro_bottom: string;
        gutter_small_micro_left: string;
        gutter_small_small_top: string;
        gutter_small_small_right: string;
        gutter_small_small_bottom: string;
        gutter_small_small_left: string;
        gutter_small_regular_top: string;
        gutter_small_regular_right: string;
        gutter_small_regular_bottom: string;
        gutter_small_regular_left: string;
        gutter_small_large_top: string;
        gutter_small_large_right: string;
        gutter_small_large_bottom: string;
        gutter_small_large_left: string;
        gutter_medium_micro_top: string;
        gutter_medium_micro_right: string;
        gutter_medium_micro_bottom: string;
        gutter_medium_micro_left: string;
        gutter_medium_small_top: string;
        gutter_medium_small_right: string;
        gutter_medium_small_bottom: string;
        gutter_medium_small_left: string;
        gutter_medium_regular_top: string;
        gutter_medium_regular_right: string;
        gutter_medium_regular_bottom: string;
        gutter_medium_regular_left: string;
        gutter_medium_large_top: string;
        gutter_medium_large_right: string;
        gutter_medium_large_bottom: string;
        gutter_medium_large_left: string;
        gutter_large_micro_top: string;
        gutter_large_micro_right: string;
        gutter_large_micro_bottom: string;
        gutter_large_micro_left: string;
        gutter_large_small: string;
        gutter_large_regular_top: string;
        gutter_large_regular_right: string;
        gutter_large_regular_bottom: string;
        gutter_large_regular_left: string;
        gutter_large_large_top: string;
        gutter_large_large_right: string;
        gutter_large_large_bottom: string;
        gutter_large_large_left: string;
        gutter_xlarge_micro_top: string;
        gutter_xlarge_micro_right: string;
        gutter_xlarge_micro_bottom: string;
        gutter_xlarge_micro_left: string;
        gutter_xlarge_small_top: string;
        gutter_xlarge_small_right: string;
        gutter_xlarge_small_bottom: string;
        gutter_xlarge_small_left: string;
        gutter_xlarge_regular_top: string;
        gutter_xlarge_regular_right: string;
        gutter_xlarge_regular_bottom: string;
        gutter_xlarge_regular_left: string;
        gutter_xlarge_large_top: string;
        gutter_xlarge_large_right: string;
        gutter_xlarge_large_bottom: string;
        gutter_xlarge_large_left: string;
    };
}, {
    height: "space";
    width: "space";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    blockSize: "sizes";
    minBlockSize: "sizes";
    maxBlockSize: "sizes";
    inlineSize: "sizes";
    minInlineSize: "sizes";
    maxInlineSize: "sizes";
    minWidth: "sizes";
    maxWidth: "sizes";
    minHeight: "sizes";
    maxHeight: "sizes";
    flexBasis: "sizes";
    gridTemplateColumns: "sizes";
    gridTemplateRows: "sizes";
    borderWidth: "borderWidths";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    flexHorizontalCenter: (gap: string) => {
        display: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    flexVerticalCenter: (gap: string) => {
        display: string;
        flexDirection: string;
        alignItems: string;
        justifyContent: string;
        gap: string;
    };
    verticalPadding: (value: string) => {
        paddingTop: string;
        paddingBottom: string;
    };
    horizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    compactHorizontalPadding: (value: string) => {
        paddingRight: string;
        paddingLeft: string;
    };
    cellColumnslarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    size: (size: number) => {
        width: string;
    };
    mediumSize: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    largeSize: (size: number) => {
        "@large": {
            width: string;
        };
    };
    xlargeSize: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
    columns: (size: number) => {
        width: string;
    };
    columnsOnMedium: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    columnsOnLarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    columnsOnXlarge: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/react/types/css-util").CSS<{
        xlarge: ` (min-width: ${number}px)`;
        large: `(min-width: ${number}px)`;
        mediumAndAbove: `(min-width: ${number}px)`;
        medium: ` (max-width: ${number}px)`;
        small: `(max-width: ${number}px)`;
    }, {
        colors: {
            transparent: string;
            current: string;
            black: string;
            white: string;
            neutral_gray0: string;
            neutral_gray2: string;
            neutral_gray4: string;
            neutral_gray6: string;
            neutral_gray8: string;
            neutral_gray10: string;
            neutral_gray20: string;
            neutral_gray30: string;
            neutral_gray40: string;
            neutral_gray50: string;
            neutral_gray60: string;
            neutral_gray70: string;
            neutral_gray80: string;
            neutral_gray90: string;
            neutral_gray100: string;
            primary_blue0: string;
            primary_blue2: string;
            primary_blue4: string;
            primary_blue6: string;
            primary_blue8: string;
            primary_blue10: string;
            primary_blue20: string;
            primary_blue30: string;
            primary_blue40: string;
            primary_blue50: string;
            primary_blue60: string;
            primary_blue70: string;
            primary_blue80: string;
            primary_blue90: string;
            primary_blue100: string;
            orange_alert0: string;
            orange_alert2: string;
            orange_alert4: string;
            orange_alert6: string;
            orange_alert8: string;
            orange_alert10: string;
            orange_alert20: string;
            orange_alert30: string;
            orange_alert40: string;
            orange_alert50: string;
            orange_alert60: string;
            orange_alert70: string;
            orange_alert80: string;
            orange_alert90: string;
            orange_alert100: string;
            green_success0: string;
            green_success2: string;
            green_success4: string;
            green_success6: string;
            green_success8: string;
            green_success10: string;
            green_success20: string;
            green_success30: string;
            green_success40: string;
            green_success50: string;
            green_success60: string;
            green_success70: string;
            green_success80: string;
            green_success90: string;
            green_success100: string;
            red_danger0: string;
            red_danger2: string;
            red_danger4: string;
            red_danger6: string;
            red_danger8: string;
            red_danger10: string;
            red_danger20: string;
            red_danger30: string;
            red_danger40: string;
            red_danger50: string;
            red_danger60: string;
            red_danger70: string;
            red_danger80: string;
            red_danger90: string;
            red_danger100: string;
            primary: string;
            primarySaturated: string;
            primaryDarker: string;
            secondary: string;
            secondarySaturated: string;
            secondaryDarker: string;
            success: string;
            warning: string;
            alert: string;
            successLight: string;
            warningLight: string;
            alertLight: string;
            successDark: string;
            warningDark: string;
            alertDark: string;
            gray: string;
            grayLighter: string;
            grayLight: string;
            grayDark: string;
            grayDarker: string;
            grayDarkest: string;
            blueGray: string;
            blueGrayLightest: string;
            blueGrayLighter: string;
            blueGrayLight: string;
            blueGrayDark: string;
            shadow: string;
            shadowWeakest: string;
            shadowWeaker: string;
            shadowWeak: string;
            shadowStrong: string;
            shadowStronger: string;
            shadowStrongest: string;
            fog: string;
            fogWeakest: string;
            fogWeaker: string;
            fogWeak: string;
            fogStrong: string;
            fogStronger: string;
            fogStrongest: string;
        };
        fontSizes: {
            small_title1: string;
            small_title2: string;
            small_title3: string;
            small_title4: string;
            small_title5: string;
            small_title6: string;
            small_large: string;
            small_regular: string;
            small_small: string;
            small_micro: string;
            large_title1: string;
            large_title2: string;
            large_title3: string;
            large_title4: string;
            large_title5: string;
            large_title6: string;
            large_large: string;
            large_regular: string;
            large_small: string;
            large_micro: string;
        };
        fontWeights: {
            bold: number;
            light: number;
            normal: number;
            semibold: number;
        };
        lineHeight: {
            regular: number;
            short: number;
            shorter: number;
            tall: number;
        };
        breakpoints: {
            small: number;
            medium: number;
            large: number;
            xlarge: number;
        };
        space: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            gutter_small_micro_top: string;
            gutter_small_micro_right: string;
            gutter_small_micro_bottom: string;
            gutter_small_micro_left: string;
            gutter_small_small_top: string;
            gutter_small_small_right: string;
            gutter_small_small_bottom: string;
            gutter_small_small_left: string;
            gutter_small_regular_top: string;
            gutter_small_regular_right: string;
            gutter_small_regular_bottom: string;
            gutter_small_regular_left: string;
            gutter_small_large_top: string;
            gutter_small_large_right: string;
            gutter_small_large_bottom: string;
            gutter_small_large_left: string;
            gutter_medium_micro_top: string;
            gutter_medium_micro_right: string;
            gutter_medium_micro_bottom: string;
            gutter_medium_micro_left: string;
            gutter_medium_small_top: string;
            gutter_medium_small_right: string;
            gutter_medium_small_bottom: string;
            gutter_medium_small_left: string;
            gutter_medium_regular_top: string;
            gutter_medium_regular_right: string;
            gutter_medium_regular_bottom: string;
            gutter_medium_regular_left: string;
            gutter_medium_large_top: string;
            gutter_medium_large_right: string;
            gutter_medium_large_bottom: string;
            gutter_medium_large_left: string;
            gutter_large_micro_top: string;
            gutter_large_micro_right: string;
            gutter_large_micro_bottom: string;
            gutter_large_micro_left: string;
            gutter_large_small: string;
            gutter_large_regular_top: string;
            gutter_large_regular_right: string;
            gutter_large_regular_bottom: string;
            gutter_large_regular_left: string;
            gutter_large_large_top: string;
            gutter_large_large_right: string;
            gutter_large_large_bottom: string;
            gutter_large_large_left: string;
            gutter_xlarge_micro_top: string;
            gutter_xlarge_micro_right: string;
            gutter_xlarge_micro_bottom: string;
            gutter_xlarge_micro_left: string;
            gutter_xlarge_small_top: string;
            gutter_xlarge_small_right: string;
            gutter_xlarge_small_bottom: string;
            gutter_xlarge_small_left: string;
            gutter_xlarge_regular_top: string;
            gutter_xlarge_regular_right: string;
            gutter_xlarge_regular_bottom: string;
            gutter_xlarge_regular_left: string;
            gutter_xlarge_large_top: string;
            gutter_xlarge_large_right: string;
            gutter_xlarge_large_bottom: string;
            gutter_xlarge_large_left: string;
        };
    }, {
        height: "space";
        width: "space";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        blockSize: "sizes";
        minBlockSize: "sizes";
        maxBlockSize: "sizes";
        inlineSize: "sizes";
        minInlineSize: "sizes";
        maxInlineSize: "sizes";
        minWidth: "sizes";
        maxWidth: "sizes";
        minHeight: "sizes";
        maxHeight: "sizes";
        flexBasis: "sizes";
        gridTemplateColumns: "sizes";
        gridTemplateRows: "sizes";
        borderWidth: "borderWidths";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    }, {
        flexHorizontalCenter: (gap: string) => {
            display: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        flexVerticalCenter: (gap: string) => {
            display: string;
            flexDirection: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        verticalPadding: (value: string) => {
            paddingTop: string;
            paddingBottom: string;
        };
        horizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        compactHorizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        cellColumnslarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        size: (size: number) => {
            width: string;
        };
        mediumSize: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        largeSize: (size: number) => {
            "@large": {
                width: string;
            };
        };
        xlargeSize: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
        columns: (size: number) => {
            width: string;
        };
        columnsOnMedium: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        columnsOnLarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        columnsOnXlarge: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
    }>;
}) => {
    (): string;
    name: string;
}, getCssText: () => string, theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        transparent: import("@stitches/react/types/theme").Token<"transparent", string, "colors", "">;
        current: import("@stitches/react/types/theme").Token<"current", string, "colors", "">;
        black: import("@stitches/react/types/theme").Token<"black", string, "colors", "">;
        white: import("@stitches/react/types/theme").Token<"white", string, "colors", "">;
        neutral_gray0: import("@stitches/react/types/theme").Token<"neutral_gray0", string, "colors", "">;
        neutral_gray2: import("@stitches/react/types/theme").Token<"neutral_gray2", string, "colors", "">;
        neutral_gray4: import("@stitches/react/types/theme").Token<"neutral_gray4", string, "colors", "">;
        neutral_gray6: import("@stitches/react/types/theme").Token<"neutral_gray6", string, "colors", "">;
        neutral_gray8: import("@stitches/react/types/theme").Token<"neutral_gray8", string, "colors", "">;
        neutral_gray10: import("@stitches/react/types/theme").Token<"neutral_gray10", string, "colors", "">;
        neutral_gray20: import("@stitches/react/types/theme").Token<"neutral_gray20", string, "colors", "">;
        neutral_gray30: import("@stitches/react/types/theme").Token<"neutral_gray30", string, "colors", "">;
        neutral_gray40: import("@stitches/react/types/theme").Token<"neutral_gray40", string, "colors", "">;
        neutral_gray50: import("@stitches/react/types/theme").Token<"neutral_gray50", string, "colors", "">;
        neutral_gray60: import("@stitches/react/types/theme").Token<"neutral_gray60", string, "colors", "">;
        neutral_gray70: import("@stitches/react/types/theme").Token<"neutral_gray70", string, "colors", "">;
        neutral_gray80: import("@stitches/react/types/theme").Token<"neutral_gray80", string, "colors", "">;
        neutral_gray90: import("@stitches/react/types/theme").Token<"neutral_gray90", string, "colors", "">;
        neutral_gray100: import("@stitches/react/types/theme").Token<"neutral_gray100", string, "colors", "">;
        primary_blue0: import("@stitches/react/types/theme").Token<"primary_blue0", string, "colors", "">;
        primary_blue2: import("@stitches/react/types/theme").Token<"primary_blue2", string, "colors", "">;
        primary_blue4: import("@stitches/react/types/theme").Token<"primary_blue4", string, "colors", "">;
        primary_blue6: import("@stitches/react/types/theme").Token<"primary_blue6", string, "colors", "">;
        primary_blue8: import("@stitches/react/types/theme").Token<"primary_blue8", string, "colors", "">;
        primary_blue10: import("@stitches/react/types/theme").Token<"primary_blue10", string, "colors", "">;
        primary_blue20: import("@stitches/react/types/theme").Token<"primary_blue20", string, "colors", "">;
        primary_blue30: import("@stitches/react/types/theme").Token<"primary_blue30", string, "colors", "">;
        primary_blue40: import("@stitches/react/types/theme").Token<"primary_blue40", string, "colors", "">;
        primary_blue50: import("@stitches/react/types/theme").Token<"primary_blue50", string, "colors", "">;
        primary_blue60: import("@stitches/react/types/theme").Token<"primary_blue60", string, "colors", "">;
        primary_blue70: import("@stitches/react/types/theme").Token<"primary_blue70", string, "colors", "">;
        primary_blue80: import("@stitches/react/types/theme").Token<"primary_blue80", string, "colors", "">;
        primary_blue90: import("@stitches/react/types/theme").Token<"primary_blue90", string, "colors", "">;
        primary_blue100: import("@stitches/react/types/theme").Token<"primary_blue100", string, "colors", "">;
        orange_alert0: import("@stitches/react/types/theme").Token<"orange_alert0", string, "colors", "">;
        orange_alert2: import("@stitches/react/types/theme").Token<"orange_alert2", string, "colors", "">;
        orange_alert4: import("@stitches/react/types/theme").Token<"orange_alert4", string, "colors", "">;
        orange_alert6: import("@stitches/react/types/theme").Token<"orange_alert6", string, "colors", "">;
        orange_alert8: import("@stitches/react/types/theme").Token<"orange_alert8", string, "colors", "">;
        orange_alert10: import("@stitches/react/types/theme").Token<"orange_alert10", string, "colors", "">;
        orange_alert20: import("@stitches/react/types/theme").Token<"orange_alert20", string, "colors", "">;
        orange_alert30: import("@stitches/react/types/theme").Token<"orange_alert30", string, "colors", "">;
        orange_alert40: import("@stitches/react/types/theme").Token<"orange_alert40", string, "colors", "">;
        orange_alert50: import("@stitches/react/types/theme").Token<"orange_alert50", string, "colors", "">;
        orange_alert60: import("@stitches/react/types/theme").Token<"orange_alert60", string, "colors", "">;
        orange_alert70: import("@stitches/react/types/theme").Token<"orange_alert70", string, "colors", "">;
        orange_alert80: import("@stitches/react/types/theme").Token<"orange_alert80", string, "colors", "">;
        orange_alert90: import("@stitches/react/types/theme").Token<"orange_alert90", string, "colors", "">;
        orange_alert100: import("@stitches/react/types/theme").Token<"orange_alert100", string, "colors", "">;
        green_success0: import("@stitches/react/types/theme").Token<"green_success0", string, "colors", "">;
        green_success2: import("@stitches/react/types/theme").Token<"green_success2", string, "colors", "">;
        green_success4: import("@stitches/react/types/theme").Token<"green_success4", string, "colors", "">;
        green_success6: import("@stitches/react/types/theme").Token<"green_success6", string, "colors", "">;
        green_success8: import("@stitches/react/types/theme").Token<"green_success8", string, "colors", "">;
        green_success10: import("@stitches/react/types/theme").Token<"green_success10", string, "colors", "">;
        green_success20: import("@stitches/react/types/theme").Token<"green_success20", string, "colors", "">;
        green_success30: import("@stitches/react/types/theme").Token<"green_success30", string, "colors", "">;
        green_success40: import("@stitches/react/types/theme").Token<"green_success40", string, "colors", "">;
        green_success50: import("@stitches/react/types/theme").Token<"green_success50", string, "colors", "">;
        green_success60: import("@stitches/react/types/theme").Token<"green_success60", string, "colors", "">;
        green_success70: import("@stitches/react/types/theme").Token<"green_success70", string, "colors", "">;
        green_success80: import("@stitches/react/types/theme").Token<"green_success80", string, "colors", "">;
        green_success90: import("@stitches/react/types/theme").Token<"green_success90", string, "colors", "">;
        green_success100: import("@stitches/react/types/theme").Token<"green_success100", string, "colors", "">;
        red_danger0: import("@stitches/react/types/theme").Token<"red_danger0", string, "colors", "">;
        red_danger2: import("@stitches/react/types/theme").Token<"red_danger2", string, "colors", "">;
        red_danger4: import("@stitches/react/types/theme").Token<"red_danger4", string, "colors", "">;
        red_danger6: import("@stitches/react/types/theme").Token<"red_danger6", string, "colors", "">;
        red_danger8: import("@stitches/react/types/theme").Token<"red_danger8", string, "colors", "">;
        red_danger10: import("@stitches/react/types/theme").Token<"red_danger10", string, "colors", "">;
        red_danger20: import("@stitches/react/types/theme").Token<"red_danger20", string, "colors", "">;
        red_danger30: import("@stitches/react/types/theme").Token<"red_danger30", string, "colors", "">;
        red_danger40: import("@stitches/react/types/theme").Token<"red_danger40", string, "colors", "">;
        red_danger50: import("@stitches/react/types/theme").Token<"red_danger50", string, "colors", "">;
        red_danger60: import("@stitches/react/types/theme").Token<"red_danger60", string, "colors", "">;
        red_danger70: import("@stitches/react/types/theme").Token<"red_danger70", string, "colors", "">;
        red_danger80: import("@stitches/react/types/theme").Token<"red_danger80", string, "colors", "">;
        red_danger90: import("@stitches/react/types/theme").Token<"red_danger90", string, "colors", "">;
        red_danger100: import("@stitches/react/types/theme").Token<"red_danger100", string, "colors", "">;
        primary: import("@stitches/react/types/theme").Token<"primary", string, "colors", "">;
        primarySaturated: import("@stitches/react/types/theme").Token<"primarySaturated", string, "colors", "">;
        primaryDarker: import("@stitches/react/types/theme").Token<"primaryDarker", string, "colors", "">;
        secondary: import("@stitches/react/types/theme").Token<"secondary", string, "colors", "">;
        secondarySaturated: import("@stitches/react/types/theme").Token<"secondarySaturated", string, "colors", "">;
        secondaryDarker: import("@stitches/react/types/theme").Token<"secondaryDarker", string, "colors", "">;
        success: import("@stitches/react/types/theme").Token<"success", string, "colors", "">;
        warning: import("@stitches/react/types/theme").Token<"warning", string, "colors", "">;
        alert: import("@stitches/react/types/theme").Token<"alert", string, "colors", "">;
        successLight: import("@stitches/react/types/theme").Token<"successLight", string, "colors", "">;
        warningLight: import("@stitches/react/types/theme").Token<"warningLight", string, "colors", "">;
        alertLight: import("@stitches/react/types/theme").Token<"alertLight", string, "colors", "">;
        successDark: import("@stitches/react/types/theme").Token<"successDark", string, "colors", "">;
        warningDark: import("@stitches/react/types/theme").Token<"warningDark", string, "colors", "">;
        alertDark: import("@stitches/react/types/theme").Token<"alertDark", string, "colors", "">;
        gray: import("@stitches/react/types/theme").Token<"gray", string, "colors", "">;
        grayLighter: import("@stitches/react/types/theme").Token<"grayLighter", string, "colors", "">;
        grayLight: import("@stitches/react/types/theme").Token<"grayLight", string, "colors", "">;
        grayDark: import("@stitches/react/types/theme").Token<"grayDark", string, "colors", "">;
        grayDarker: import("@stitches/react/types/theme").Token<"grayDarker", string, "colors", "">;
        grayDarkest: import("@stitches/react/types/theme").Token<"grayDarkest", string, "colors", "">;
        blueGray: import("@stitches/react/types/theme").Token<"blueGray", string, "colors", "">;
        blueGrayLightest: import("@stitches/react/types/theme").Token<"blueGrayLightest", string, "colors", "">;
        blueGrayLighter: import("@stitches/react/types/theme").Token<"blueGrayLighter", string, "colors", "">;
        blueGrayLight: import("@stitches/react/types/theme").Token<"blueGrayLight", string, "colors", "">;
        blueGrayDark: import("@stitches/react/types/theme").Token<"blueGrayDark", string, "colors", "">;
        shadow: import("@stitches/react/types/theme").Token<"shadow", string, "colors", "">;
        shadowWeakest: import("@stitches/react/types/theme").Token<"shadowWeakest", string, "colors", "">;
        shadowWeaker: import("@stitches/react/types/theme").Token<"shadowWeaker", string, "colors", "">;
        shadowWeak: import("@stitches/react/types/theme").Token<"shadowWeak", string, "colors", "">;
        shadowStrong: import("@stitches/react/types/theme").Token<"shadowStrong", string, "colors", "">;
        shadowStronger: import("@stitches/react/types/theme").Token<"shadowStronger", string, "colors", "">;
        shadowStrongest: import("@stitches/react/types/theme").Token<"shadowStrongest", string, "colors", "">;
        fog: import("@stitches/react/types/theme").Token<"fog", string, "colors", "">;
        fogWeakest: import("@stitches/react/types/theme").Token<"fogWeakest", string, "colors", "">;
        fogWeaker: import("@stitches/react/types/theme").Token<"fogWeaker", string, "colors", "">;
        fogWeak: import("@stitches/react/types/theme").Token<"fogWeak", string, "colors", "">;
        fogStrong: import("@stitches/react/types/theme").Token<"fogStrong", string, "colors", "">;
        fogStronger: import("@stitches/react/types/theme").Token<"fogStronger", string, "colors", "">;
        fogStrongest: import("@stitches/react/types/theme").Token<"fogStrongest", string, "colors", "">;
    };
    fontSizes: {
        small_title1: import("@stitches/react/types/theme").Token<"small_title1", string, "fontSizes", "">;
        small_title2: import("@stitches/react/types/theme").Token<"small_title2", string, "fontSizes", "">;
        small_title3: import("@stitches/react/types/theme").Token<"small_title3", string, "fontSizes", "">;
        small_title4: import("@stitches/react/types/theme").Token<"small_title4", string, "fontSizes", "">;
        small_title5: import("@stitches/react/types/theme").Token<"small_title5", string, "fontSizes", "">;
        small_title6: import("@stitches/react/types/theme").Token<"small_title6", string, "fontSizes", "">;
        small_large: import("@stitches/react/types/theme").Token<"small_large", string, "fontSizes", "">;
        small_regular: import("@stitches/react/types/theme").Token<"small_regular", string, "fontSizes", "">;
        small_small: import("@stitches/react/types/theme").Token<"small_small", string, "fontSizes", "">;
        small_micro: import("@stitches/react/types/theme").Token<"small_micro", string, "fontSizes", "">;
        large_title1: import("@stitches/react/types/theme").Token<"large_title1", string, "fontSizes", "">;
        large_title2: import("@stitches/react/types/theme").Token<"large_title2", string, "fontSizes", "">;
        large_title3: import("@stitches/react/types/theme").Token<"large_title3", string, "fontSizes", "">;
        large_title4: import("@stitches/react/types/theme").Token<"large_title4", string, "fontSizes", "">;
        large_title5: import("@stitches/react/types/theme").Token<"large_title5", string, "fontSizes", "">;
        large_title6: import("@stitches/react/types/theme").Token<"large_title6", string, "fontSizes", "">;
        large_large: import("@stitches/react/types/theme").Token<"large_large", string, "fontSizes", "">;
        large_regular: import("@stitches/react/types/theme").Token<"large_regular", string, "fontSizes", "">;
        large_small: import("@stitches/react/types/theme").Token<"large_small", string, "fontSizes", "">;
        large_micro: import("@stitches/react/types/theme").Token<"large_micro", string, "fontSizes", "">;
    };
    fontWeights: {
        bold: import("@stitches/react/types/theme").Token<"bold", string, "fontWeights", "">;
        light: import("@stitches/react/types/theme").Token<"light", string, "fontWeights", "">;
        normal: import("@stitches/react/types/theme").Token<"normal", string, "fontWeights", "">;
        semibold: import("@stitches/react/types/theme").Token<"semibold", string, "fontWeights", "">;
    };
    lineHeight: {
        regular: import("@stitches/react/types/theme").Token<"regular", string, "lineHeight", "">;
        short: import("@stitches/react/types/theme").Token<"short", string, "lineHeight", "">;
        shorter: import("@stitches/react/types/theme").Token<"shorter", string, "lineHeight", "">;
        tall: import("@stitches/react/types/theme").Token<"tall", string, "lineHeight", "">;
    };
    breakpoints: {
        small: import("@stitches/react/types/theme").Token<"small", string, "breakpoints", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "breakpoints", "">;
        large: import("@stitches/react/types/theme").Token<"large", string, "breakpoints", "">;
        xlarge: import("@stitches/react/types/theme").Token<"xlarge", string, "breakpoints", "">;
    };
    space: {
        1: import("@stitches/react/types/theme").Token<"1", string, "space", "">;
        2: import("@stitches/react/types/theme").Token<"2", string, "space", "">;
        3: import("@stitches/react/types/theme").Token<"3", string, "space", "">;
        4: import("@stitches/react/types/theme").Token<"4", string, "space", "">;
        5: import("@stitches/react/types/theme").Token<"5", string, "space", "">;
        6: import("@stitches/react/types/theme").Token<"6", string, "space", "">;
        7: import("@stitches/react/types/theme").Token<"7", string, "space", "">;
        8: import("@stitches/react/types/theme").Token<"8", string, "space", "">;
        gutter_small_micro_top: import("@stitches/react/types/theme").Token<"gutter_small_micro_top", string, "space", "">;
        gutter_small_micro_right: import("@stitches/react/types/theme").Token<"gutter_small_micro_right", string, "space", "">;
        gutter_small_micro_bottom: import("@stitches/react/types/theme").Token<"gutter_small_micro_bottom", string, "space", "">;
        gutter_small_micro_left: import("@stitches/react/types/theme").Token<"gutter_small_micro_left", string, "space", "">;
        gutter_small_small_top: import("@stitches/react/types/theme").Token<"gutter_small_small_top", string, "space", "">;
        gutter_small_small_right: import("@stitches/react/types/theme").Token<"gutter_small_small_right", string, "space", "">;
        gutter_small_small_bottom: import("@stitches/react/types/theme").Token<"gutter_small_small_bottom", string, "space", "">;
        gutter_small_small_left: import("@stitches/react/types/theme").Token<"gutter_small_small_left", string, "space", "">;
        gutter_small_regular_top: import("@stitches/react/types/theme").Token<"gutter_small_regular_top", string, "space", "">;
        gutter_small_regular_right: import("@stitches/react/types/theme").Token<"gutter_small_regular_right", string, "space", "">;
        gutter_small_regular_bottom: import("@stitches/react/types/theme").Token<"gutter_small_regular_bottom", string, "space", "">;
        gutter_small_regular_left: import("@stitches/react/types/theme").Token<"gutter_small_regular_left", string, "space", "">;
        gutter_small_large_top: import("@stitches/react/types/theme").Token<"gutter_small_large_top", string, "space", "">;
        gutter_small_large_right: import("@stitches/react/types/theme").Token<"gutter_small_large_right", string, "space", "">;
        gutter_small_large_bottom: import("@stitches/react/types/theme").Token<"gutter_small_large_bottom", string, "space", "">;
        gutter_small_large_left: import("@stitches/react/types/theme").Token<"gutter_small_large_left", string, "space", "">;
        gutter_medium_micro_top: import("@stitches/react/types/theme").Token<"gutter_medium_micro_top", string, "space", "">;
        gutter_medium_micro_right: import("@stitches/react/types/theme").Token<"gutter_medium_micro_right", string, "space", "">;
        gutter_medium_micro_bottom: import("@stitches/react/types/theme").Token<"gutter_medium_micro_bottom", string, "space", "">;
        gutter_medium_micro_left: import("@stitches/react/types/theme").Token<"gutter_medium_micro_left", string, "space", "">;
        gutter_medium_small_top: import("@stitches/react/types/theme").Token<"gutter_medium_small_top", string, "space", "">;
        gutter_medium_small_right: import("@stitches/react/types/theme").Token<"gutter_medium_small_right", string, "space", "">;
        gutter_medium_small_bottom: import("@stitches/react/types/theme").Token<"gutter_medium_small_bottom", string, "space", "">;
        gutter_medium_small_left: import("@stitches/react/types/theme").Token<"gutter_medium_small_left", string, "space", "">;
        gutter_medium_regular_top: import("@stitches/react/types/theme").Token<"gutter_medium_regular_top", string, "space", "">;
        gutter_medium_regular_right: import("@stitches/react/types/theme").Token<"gutter_medium_regular_right", string, "space", "">;
        gutter_medium_regular_bottom: import("@stitches/react/types/theme").Token<"gutter_medium_regular_bottom", string, "space", "">;
        gutter_medium_regular_left: import("@stitches/react/types/theme").Token<"gutter_medium_regular_left", string, "space", "">;
        gutter_medium_large_top: import("@stitches/react/types/theme").Token<"gutter_medium_large_top", string, "space", "">;
        gutter_medium_large_right: import("@stitches/react/types/theme").Token<"gutter_medium_large_right", string, "space", "">;
        gutter_medium_large_bottom: import("@stitches/react/types/theme").Token<"gutter_medium_large_bottom", string, "space", "">;
        gutter_medium_large_left: import("@stitches/react/types/theme").Token<"gutter_medium_large_left", string, "space", "">;
        gutter_large_micro_top: import("@stitches/react/types/theme").Token<"gutter_large_micro_top", string, "space", "">;
        gutter_large_micro_right: import("@stitches/react/types/theme").Token<"gutter_large_micro_right", string, "space", "">;
        gutter_large_micro_bottom: import("@stitches/react/types/theme").Token<"gutter_large_micro_bottom", string, "space", "">;
        gutter_large_micro_left: import("@stitches/react/types/theme").Token<"gutter_large_micro_left", string, "space", "">;
        gutter_large_small: import("@stitches/react/types/theme").Token<"gutter_large_small", string, "space", "">;
        gutter_large_regular_top: import("@stitches/react/types/theme").Token<"gutter_large_regular_top", string, "space", "">;
        gutter_large_regular_right: import("@stitches/react/types/theme").Token<"gutter_large_regular_right", string, "space", "">;
        gutter_large_regular_bottom: import("@stitches/react/types/theme").Token<"gutter_large_regular_bottom", string, "space", "">;
        gutter_large_regular_left: import("@stitches/react/types/theme").Token<"gutter_large_regular_left", string, "space", "">;
        gutter_large_large_top: import("@stitches/react/types/theme").Token<"gutter_large_large_top", string, "space", "">;
        gutter_large_large_right: import("@stitches/react/types/theme").Token<"gutter_large_large_right", string, "space", "">;
        gutter_large_large_bottom: import("@stitches/react/types/theme").Token<"gutter_large_large_bottom", string, "space", "">;
        gutter_large_large_left: import("@stitches/react/types/theme").Token<"gutter_large_large_left", string, "space", "">;
        gutter_xlarge_micro_top: import("@stitches/react/types/theme").Token<"gutter_xlarge_micro_top", string, "space", "">;
        gutter_xlarge_micro_right: import("@stitches/react/types/theme").Token<"gutter_xlarge_micro_right", string, "space", "">;
        gutter_xlarge_micro_bottom: import("@stitches/react/types/theme").Token<"gutter_xlarge_micro_bottom", string, "space", "">;
        gutter_xlarge_micro_left: import("@stitches/react/types/theme").Token<"gutter_xlarge_micro_left", string, "space", "">;
        gutter_xlarge_small_top: import("@stitches/react/types/theme").Token<"gutter_xlarge_small_top", string, "space", "">;
        gutter_xlarge_small_right: import("@stitches/react/types/theme").Token<"gutter_xlarge_small_right", string, "space", "">;
        gutter_xlarge_small_bottom: import("@stitches/react/types/theme").Token<"gutter_xlarge_small_bottom", string, "space", "">;
        gutter_xlarge_small_left: import("@stitches/react/types/theme").Token<"gutter_xlarge_small_left", string, "space", "">;
        gutter_xlarge_regular_top: import("@stitches/react/types/theme").Token<"gutter_xlarge_regular_top", string, "space", "">;
        gutter_xlarge_regular_right: import("@stitches/react/types/theme").Token<"gutter_xlarge_regular_right", string, "space", "">;
        gutter_xlarge_regular_bottom: import("@stitches/react/types/theme").Token<"gutter_xlarge_regular_bottom", string, "space", "">;
        gutter_xlarge_regular_left: import("@stitches/react/types/theme").Token<"gutter_xlarge_regular_left", string, "space", "">;
        gutter_xlarge_large_top: import("@stitches/react/types/theme").Token<"gutter_xlarge_large_top", string, "space", "">;
        gutter_xlarge_large_right: import("@stitches/react/types/theme").Token<"gutter_xlarge_large_right", string, "space", "">;
        gutter_xlarge_large_bottom: import("@stitches/react/types/theme").Token<"gutter_xlarge_large_bottom", string, "space", "">;
        gutter_xlarge_large_left: import("@stitches/react/types/theme").Token<"gutter_xlarge_large_left", string, "space", "">;
    };
}, createTheme: <Argument0 extends string | ({
    colors?: {
        transparent?: string | number | boolean | undefined;
        current?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        neutral_gray0?: string | number | boolean | undefined;
        neutral_gray2?: string | number | boolean | undefined;
        neutral_gray4?: string | number | boolean | undefined;
        neutral_gray6?: string | number | boolean | undefined;
        neutral_gray8?: string | number | boolean | undefined;
        neutral_gray10?: string | number | boolean | undefined;
        neutral_gray20?: string | number | boolean | undefined;
        neutral_gray30?: string | number | boolean | undefined;
        neutral_gray40?: string | number | boolean | undefined;
        neutral_gray50?: string | number | boolean | undefined;
        neutral_gray60?: string | number | boolean | undefined;
        neutral_gray70?: string | number | boolean | undefined;
        neutral_gray80?: string | number | boolean | undefined;
        neutral_gray90?: string | number | boolean | undefined;
        neutral_gray100?: string | number | boolean | undefined;
        primary_blue0?: string | number | boolean | undefined;
        primary_blue2?: string | number | boolean | undefined;
        primary_blue4?: string | number | boolean | undefined;
        primary_blue6?: string | number | boolean | undefined;
        primary_blue8?: string | number | boolean | undefined;
        primary_blue10?: string | number | boolean | undefined;
        primary_blue20?: string | number | boolean | undefined;
        primary_blue30?: string | number | boolean | undefined;
        primary_blue40?: string | number | boolean | undefined;
        primary_blue50?: string | number | boolean | undefined;
        primary_blue60?: string | number | boolean | undefined;
        primary_blue70?: string | number | boolean | undefined;
        primary_blue80?: string | number | boolean | undefined;
        primary_blue90?: string | number | boolean | undefined;
        primary_blue100?: string | number | boolean | undefined;
        orange_alert0?: string | number | boolean | undefined;
        orange_alert2?: string | number | boolean | undefined;
        orange_alert4?: string | number | boolean | undefined;
        orange_alert6?: string | number | boolean | undefined;
        orange_alert8?: string | number | boolean | undefined;
        orange_alert10?: string | number | boolean | undefined;
        orange_alert20?: string | number | boolean | undefined;
        orange_alert30?: string | number | boolean | undefined;
        orange_alert40?: string | number | boolean | undefined;
        orange_alert50?: string | number | boolean | undefined;
        orange_alert60?: string | number | boolean | undefined;
        orange_alert70?: string | number | boolean | undefined;
        orange_alert80?: string | number | boolean | undefined;
        orange_alert90?: string | number | boolean | undefined;
        orange_alert100?: string | number | boolean | undefined;
        green_success0?: string | number | boolean | undefined;
        green_success2?: string | number | boolean | undefined;
        green_success4?: string | number | boolean | undefined;
        green_success6?: string | number | boolean | undefined;
        green_success8?: string | number | boolean | undefined;
        green_success10?: string | number | boolean | undefined;
        green_success20?: string | number | boolean | undefined;
        green_success30?: string | number | boolean | undefined;
        green_success40?: string | number | boolean | undefined;
        green_success50?: string | number | boolean | undefined;
        green_success60?: string | number | boolean | undefined;
        green_success70?: string | number | boolean | undefined;
        green_success80?: string | number | boolean | undefined;
        green_success90?: string | number | boolean | undefined;
        green_success100?: string | number | boolean | undefined;
        red_danger0?: string | number | boolean | undefined;
        red_danger2?: string | number | boolean | undefined;
        red_danger4?: string | number | boolean | undefined;
        red_danger6?: string | number | boolean | undefined;
        red_danger8?: string | number | boolean | undefined;
        red_danger10?: string | number | boolean | undefined;
        red_danger20?: string | number | boolean | undefined;
        red_danger30?: string | number | boolean | undefined;
        red_danger40?: string | number | boolean | undefined;
        red_danger50?: string | number | boolean | undefined;
        red_danger60?: string | number | boolean | undefined;
        red_danger70?: string | number | boolean | undefined;
        red_danger80?: string | number | boolean | undefined;
        red_danger90?: string | number | boolean | undefined;
        red_danger100?: string | number | boolean | undefined;
        primary?: string | number | boolean | undefined;
        primarySaturated?: string | number | boolean | undefined;
        primaryDarker?: string | number | boolean | undefined;
        secondary?: string | number | boolean | undefined;
        secondarySaturated?: string | number | boolean | undefined;
        secondaryDarker?: string | number | boolean | undefined;
        success?: string | number | boolean | undefined;
        warning?: string | number | boolean | undefined;
        alert?: string | number | boolean | undefined;
        successLight?: string | number | boolean | undefined;
        warningLight?: string | number | boolean | undefined;
        alertLight?: string | number | boolean | undefined;
        successDark?: string | number | boolean | undefined;
        warningDark?: string | number | boolean | undefined;
        alertDark?: string | number | boolean | undefined;
        gray?: string | number | boolean | undefined;
        grayLighter?: string | number | boolean | undefined;
        grayLight?: string | number | boolean | undefined;
        grayDark?: string | number | boolean | undefined;
        grayDarker?: string | number | boolean | undefined;
        grayDarkest?: string | number | boolean | undefined;
        blueGray?: string | number | boolean | undefined;
        blueGrayLightest?: string | number | boolean | undefined;
        blueGrayLighter?: string | number | boolean | undefined;
        blueGrayLight?: string | number | boolean | undefined;
        blueGrayDark?: string | number | boolean | undefined;
        shadow?: string | number | boolean | undefined;
        shadowWeakest?: string | number | boolean | undefined;
        shadowWeaker?: string | number | boolean | undefined;
        shadowWeak?: string | number | boolean | undefined;
        shadowStrong?: string | number | boolean | undefined;
        shadowStronger?: string | number | boolean | undefined;
        shadowStrongest?: string | number | boolean | undefined;
        fog?: string | number | boolean | undefined;
        fogWeakest?: string | number | boolean | undefined;
        fogWeaker?: string | number | boolean | undefined;
        fogWeak?: string | number | boolean | undefined;
        fogStrong?: string | number | boolean | undefined;
        fogStronger?: string | number | boolean | undefined;
        fogStrongest?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        small_title1?: string | number | boolean | undefined;
        small_title2?: string | number | boolean | undefined;
        small_title3?: string | number | boolean | undefined;
        small_title4?: string | number | boolean | undefined;
        small_title5?: string | number | boolean | undefined;
        small_title6?: string | number | boolean | undefined;
        small_large?: string | number | boolean | undefined;
        small_regular?: string | number | boolean | undefined;
        small_small?: string | number | boolean | undefined;
        small_micro?: string | number | boolean | undefined;
        large_title1?: string | number | boolean | undefined;
        large_title2?: string | number | boolean | undefined;
        large_title3?: string | number | boolean | undefined;
        large_title4?: string | number | boolean | undefined;
        large_title5?: string | number | boolean | undefined;
        large_title6?: string | number | boolean | undefined;
        large_large?: string | number | boolean | undefined;
        large_regular?: string | number | boolean | undefined;
        large_small?: string | number | boolean | undefined;
        large_micro?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        bold?: string | number | boolean | undefined;
        light?: string | number | boolean | undefined;
        normal?: string | number | boolean | undefined;
        semibold?: string | number | boolean | undefined;
    } | undefined;
    lineHeight?: {
        regular?: string | number | boolean | undefined;
        short?: string | number | boolean | undefined;
        shorter?: string | number | boolean | undefined;
        tall?: string | number | boolean | undefined;
    } | undefined;
    breakpoints?: {
        small?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
        xlarge?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        1?: string | number | boolean | undefined;
        2?: string | number | boolean | undefined;
        3?: string | number | boolean | undefined;
        4?: string | number | boolean | undefined;
        5?: string | number | boolean | undefined;
        6?: string | number | boolean | undefined;
        7?: string | number | boolean | undefined;
        8?: string | number | boolean | undefined;
        gutter_small_micro_top?: string | number | boolean | undefined;
        gutter_small_micro_right?: string | number | boolean | undefined;
        gutter_small_micro_bottom?: string | number | boolean | undefined;
        gutter_small_micro_left?: string | number | boolean | undefined;
        gutter_small_small_top?: string | number | boolean | undefined;
        gutter_small_small_right?: string | number | boolean | undefined;
        gutter_small_small_bottom?: string | number | boolean | undefined;
        gutter_small_small_left?: string | number | boolean | undefined;
        gutter_small_regular_top?: string | number | boolean | undefined;
        gutter_small_regular_right?: string | number | boolean | undefined;
        gutter_small_regular_bottom?: string | number | boolean | undefined;
        gutter_small_regular_left?: string | number | boolean | undefined;
        gutter_small_large_top?: string | number | boolean | undefined;
        gutter_small_large_right?: string | number | boolean | undefined;
        gutter_small_large_bottom?: string | number | boolean | undefined;
        gutter_small_large_left?: string | number | boolean | undefined;
        gutter_medium_micro_top?: string | number | boolean | undefined;
        gutter_medium_micro_right?: string | number | boolean | undefined;
        gutter_medium_micro_bottom?: string | number | boolean | undefined;
        gutter_medium_micro_left?: string | number | boolean | undefined;
        gutter_medium_small_top?: string | number | boolean | undefined;
        gutter_medium_small_right?: string | number | boolean | undefined;
        gutter_medium_small_bottom?: string | number | boolean | undefined;
        gutter_medium_small_left?: string | number | boolean | undefined;
        gutter_medium_regular_top?: string | number | boolean | undefined;
        gutter_medium_regular_right?: string | number | boolean | undefined;
        gutter_medium_regular_bottom?: string | number | boolean | undefined;
        gutter_medium_regular_left?: string | number | boolean | undefined;
        gutter_medium_large_top?: string | number | boolean | undefined;
        gutter_medium_large_right?: string | number | boolean | undefined;
        gutter_medium_large_bottom?: string | number | boolean | undefined;
        gutter_medium_large_left?: string | number | boolean | undefined;
        gutter_large_micro_top?: string | number | boolean | undefined;
        gutter_large_micro_right?: string | number | boolean | undefined;
        gutter_large_micro_bottom?: string | number | boolean | undefined;
        gutter_large_micro_left?: string | number | boolean | undefined;
        gutter_large_small?: string | number | boolean | undefined;
        gutter_large_regular_top?: string | number | boolean | undefined;
        gutter_large_regular_right?: string | number | boolean | undefined;
        gutter_large_regular_bottom?: string | number | boolean | undefined;
        gutter_large_regular_left?: string | number | boolean | undefined;
        gutter_large_large_top?: string | number | boolean | undefined;
        gutter_large_large_right?: string | number | boolean | undefined;
        gutter_large_large_bottom?: string | number | boolean | undefined;
        gutter_large_large_left?: string | number | boolean | undefined;
        gutter_xlarge_micro_top?: string | number | boolean | undefined;
        gutter_xlarge_micro_right?: string | number | boolean | undefined;
        gutter_xlarge_micro_bottom?: string | number | boolean | undefined;
        gutter_xlarge_micro_left?: string | number | boolean | undefined;
        gutter_xlarge_small_top?: string | number | boolean | undefined;
        gutter_xlarge_small_right?: string | number | boolean | undefined;
        gutter_xlarge_small_bottom?: string | number | boolean | undefined;
        gutter_xlarge_small_left?: string | number | boolean | undefined;
        gutter_xlarge_regular_top?: string | number | boolean | undefined;
        gutter_xlarge_regular_right?: string | number | boolean | undefined;
        gutter_xlarge_regular_bottom?: string | number | boolean | undefined;
        gutter_xlarge_regular_left?: string | number | boolean | undefined;
        gutter_xlarge_large_top?: string | number | boolean | undefined;
        gutter_xlarge_large_right?: string | number | boolean | undefined;
        gutter_xlarge_large_bottom?: string | number | boolean | undefined;
        gutter_xlarge_large_left?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    colors?: {
        transparent?: string | number | boolean | undefined;
        current?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        neutral_gray0?: string | number | boolean | undefined;
        neutral_gray2?: string | number | boolean | undefined;
        neutral_gray4?: string | number | boolean | undefined;
        neutral_gray6?: string | number | boolean | undefined;
        neutral_gray8?: string | number | boolean | undefined;
        neutral_gray10?: string | number | boolean | undefined;
        neutral_gray20?: string | number | boolean | undefined;
        neutral_gray30?: string | number | boolean | undefined;
        neutral_gray40?: string | number | boolean | undefined;
        neutral_gray50?: string | number | boolean | undefined;
        neutral_gray60?: string | number | boolean | undefined;
        neutral_gray70?: string | number | boolean | undefined;
        neutral_gray80?: string | number | boolean | undefined;
        neutral_gray90?: string | number | boolean | undefined;
        neutral_gray100?: string | number | boolean | undefined;
        primary_blue0?: string | number | boolean | undefined;
        primary_blue2?: string | number | boolean | undefined;
        primary_blue4?: string | number | boolean | undefined;
        primary_blue6?: string | number | boolean | undefined;
        primary_blue8?: string | number | boolean | undefined;
        primary_blue10?: string | number | boolean | undefined;
        primary_blue20?: string | number | boolean | undefined;
        primary_blue30?: string | number | boolean | undefined;
        primary_blue40?: string | number | boolean | undefined;
        primary_blue50?: string | number | boolean | undefined;
        primary_blue60?: string | number | boolean | undefined;
        primary_blue70?: string | number | boolean | undefined;
        primary_blue80?: string | number | boolean | undefined;
        primary_blue90?: string | number | boolean | undefined;
        primary_blue100?: string | number | boolean | undefined;
        orange_alert0?: string | number | boolean | undefined;
        orange_alert2?: string | number | boolean | undefined;
        orange_alert4?: string | number | boolean | undefined;
        orange_alert6?: string | number | boolean | undefined;
        orange_alert8?: string | number | boolean | undefined;
        orange_alert10?: string | number | boolean | undefined;
        orange_alert20?: string | number | boolean | undefined;
        orange_alert30?: string | number | boolean | undefined;
        orange_alert40?: string | number | boolean | undefined;
        orange_alert50?: string | number | boolean | undefined;
        orange_alert60?: string | number | boolean | undefined;
        orange_alert70?: string | number | boolean | undefined;
        orange_alert80?: string | number | boolean | undefined;
        orange_alert90?: string | number | boolean | undefined;
        orange_alert100?: string | number | boolean | undefined;
        green_success0?: string | number | boolean | undefined;
        green_success2?: string | number | boolean | undefined;
        green_success4?: string | number | boolean | undefined;
        green_success6?: string | number | boolean | undefined;
        green_success8?: string | number | boolean | undefined;
        green_success10?: string | number | boolean | undefined;
        green_success20?: string | number | boolean | undefined;
        green_success30?: string | number | boolean | undefined;
        green_success40?: string | number | boolean | undefined;
        green_success50?: string | number | boolean | undefined;
        green_success60?: string | number | boolean | undefined;
        green_success70?: string | number | boolean | undefined;
        green_success80?: string | number | boolean | undefined;
        green_success90?: string | number | boolean | undefined;
        green_success100?: string | number | boolean | undefined;
        red_danger0?: string | number | boolean | undefined;
        red_danger2?: string | number | boolean | undefined;
        red_danger4?: string | number | boolean | undefined;
        red_danger6?: string | number | boolean | undefined;
        red_danger8?: string | number | boolean | undefined;
        red_danger10?: string | number | boolean | undefined;
        red_danger20?: string | number | boolean | undefined;
        red_danger30?: string | number | boolean | undefined;
        red_danger40?: string | number | boolean | undefined;
        red_danger50?: string | number | boolean | undefined;
        red_danger60?: string | number | boolean | undefined;
        red_danger70?: string | number | boolean | undefined;
        red_danger80?: string | number | boolean | undefined;
        red_danger90?: string | number | boolean | undefined;
        red_danger100?: string | number | boolean | undefined;
        primary?: string | number | boolean | undefined;
        primarySaturated?: string | number | boolean | undefined;
        primaryDarker?: string | number | boolean | undefined;
        secondary?: string | number | boolean | undefined;
        secondarySaturated?: string | number | boolean | undefined;
        secondaryDarker?: string | number | boolean | undefined;
        success?: string | number | boolean | undefined;
        warning?: string | number | boolean | undefined;
        alert?: string | number | boolean | undefined;
        successLight?: string | number | boolean | undefined;
        warningLight?: string | number | boolean | undefined;
        alertLight?: string | number | boolean | undefined;
        successDark?: string | number | boolean | undefined;
        warningDark?: string | number | boolean | undefined;
        alertDark?: string | number | boolean | undefined;
        gray?: string | number | boolean | undefined;
        grayLighter?: string | number | boolean | undefined;
        grayLight?: string | number | boolean | undefined;
        grayDark?: string | number | boolean | undefined;
        grayDarker?: string | number | boolean | undefined;
        grayDarkest?: string | number | boolean | undefined;
        blueGray?: string | number | boolean | undefined;
        blueGrayLightest?: string | number | boolean | undefined;
        blueGrayLighter?: string | number | boolean | undefined;
        blueGrayLight?: string | number | boolean | undefined;
        blueGrayDark?: string | number | boolean | undefined;
        shadow?: string | number | boolean | undefined;
        shadowWeakest?: string | number | boolean | undefined;
        shadowWeaker?: string | number | boolean | undefined;
        shadowWeak?: string | number | boolean | undefined;
        shadowStrong?: string | number | boolean | undefined;
        shadowStronger?: string | number | boolean | undefined;
        shadowStrongest?: string | number | boolean | undefined;
        fog?: string | number | boolean | undefined;
        fogWeakest?: string | number | boolean | undefined;
        fogWeaker?: string | number | boolean | undefined;
        fogWeak?: string | number | boolean | undefined;
        fogStrong?: string | number | boolean | undefined;
        fogStronger?: string | number | boolean | undefined;
        fogStrongest?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        small_title1?: string | number | boolean | undefined;
        small_title2?: string | number | boolean | undefined;
        small_title3?: string | number | boolean | undefined;
        small_title4?: string | number | boolean | undefined;
        small_title5?: string | number | boolean | undefined;
        small_title6?: string | number | boolean | undefined;
        small_large?: string | number | boolean | undefined;
        small_regular?: string | number | boolean | undefined;
        small_small?: string | number | boolean | undefined;
        small_micro?: string | number | boolean | undefined;
        large_title1?: string | number | boolean | undefined;
        large_title2?: string | number | boolean | undefined;
        large_title3?: string | number | boolean | undefined;
        large_title4?: string | number | boolean | undefined;
        large_title5?: string | number | boolean | undefined;
        large_title6?: string | number | boolean | undefined;
        large_large?: string | number | boolean | undefined;
        large_regular?: string | number | boolean | undefined;
        large_small?: string | number | boolean | undefined;
        large_micro?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        bold?: string | number | boolean | undefined;
        light?: string | number | boolean | undefined;
        normal?: string | number | boolean | undefined;
        semibold?: string | number | boolean | undefined;
    } | undefined;
    lineHeight?: {
        regular?: string | number | boolean | undefined;
        short?: string | number | boolean | undefined;
        shorter?: string | number | boolean | undefined;
        tall?: string | number | boolean | undefined;
    } | undefined;
    breakpoints?: {
        small?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
        xlarge?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        1?: string | number | boolean | undefined;
        2?: string | number | boolean | undefined;
        3?: string | number | boolean | undefined;
        4?: string | number | boolean | undefined;
        5?: string | number | boolean | undefined;
        6?: string | number | boolean | undefined;
        7?: string | number | boolean | undefined;
        8?: string | number | boolean | undefined;
        gutter_small_micro_top?: string | number | boolean | undefined;
        gutter_small_micro_right?: string | number | boolean | undefined;
        gutter_small_micro_bottom?: string | number | boolean | undefined;
        gutter_small_micro_left?: string | number | boolean | undefined;
        gutter_small_small_top?: string | number | boolean | undefined;
        gutter_small_small_right?: string | number | boolean | undefined;
        gutter_small_small_bottom?: string | number | boolean | undefined;
        gutter_small_small_left?: string | number | boolean | undefined;
        gutter_small_regular_top?: string | number | boolean | undefined;
        gutter_small_regular_right?: string | number | boolean | undefined;
        gutter_small_regular_bottom?: string | number | boolean | undefined;
        gutter_small_regular_left?: string | number | boolean | undefined;
        gutter_small_large_top?: string | number | boolean | undefined;
        gutter_small_large_right?: string | number | boolean | undefined;
        gutter_small_large_bottom?: string | number | boolean | undefined;
        gutter_small_large_left?: string | number | boolean | undefined;
        gutter_medium_micro_top?: string | number | boolean | undefined;
        gutter_medium_micro_right?: string | number | boolean | undefined;
        gutter_medium_micro_bottom?: string | number | boolean | undefined;
        gutter_medium_micro_left?: string | number | boolean | undefined;
        gutter_medium_small_top?: string | number | boolean | undefined;
        gutter_medium_small_right?: string | number | boolean | undefined;
        gutter_medium_small_bottom?: string | number | boolean | undefined;
        gutter_medium_small_left?: string | number | boolean | undefined;
        gutter_medium_regular_top?: string | number | boolean | undefined;
        gutter_medium_regular_right?: string | number | boolean | undefined;
        gutter_medium_regular_bottom?: string | number | boolean | undefined;
        gutter_medium_regular_left?: string | number | boolean | undefined;
        gutter_medium_large_top?: string | number | boolean | undefined;
        gutter_medium_large_right?: string | number | boolean | undefined;
        gutter_medium_large_bottom?: string | number | boolean | undefined;
        gutter_medium_large_left?: string | number | boolean | undefined;
        gutter_large_micro_top?: string | number | boolean | undefined;
        gutter_large_micro_right?: string | number | boolean | undefined;
        gutter_large_micro_bottom?: string | number | boolean | undefined;
        gutter_large_micro_left?: string | number | boolean | undefined;
        gutter_large_small?: string | number | boolean | undefined;
        gutter_large_regular_top?: string | number | boolean | undefined;
        gutter_large_regular_right?: string | number | boolean | undefined;
        gutter_large_regular_bottom?: string | number | boolean | undefined;
        gutter_large_regular_left?: string | number | boolean | undefined;
        gutter_large_large_top?: string | number | boolean | undefined;
        gutter_large_large_right?: string | number | boolean | undefined;
        gutter_large_large_bottom?: string | number | boolean | undefined;
        gutter_large_large_left?: string | number | boolean | undefined;
        gutter_xlarge_micro_top?: string | number | boolean | undefined;
        gutter_xlarge_micro_right?: string | number | boolean | undefined;
        gutter_xlarge_micro_bottom?: string | number | boolean | undefined;
        gutter_xlarge_micro_left?: string | number | boolean | undefined;
        gutter_xlarge_small_top?: string | number | boolean | undefined;
        gutter_xlarge_small_right?: string | number | boolean | undefined;
        gutter_xlarge_small_bottom?: string | number | boolean | undefined;
        gutter_xlarge_small_left?: string | number | boolean | undefined;
        gutter_xlarge_regular_top?: string | number | boolean | undefined;
        gutter_xlarge_regular_right?: string | number | boolean | undefined;
        gutter_xlarge_regular_bottom?: string | number | boolean | undefined;
        gutter_xlarge_regular_left?: string | number | boolean | undefined;
        gutter_xlarge_large_top?: string | number | boolean | undefined;
        gutter_xlarge_large_right?: string | number | boolean | undefined;
        gutter_xlarge_large_bottom?: string | number | boolean | undefined;
        gutter_xlarge_large_left?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1 | undefined) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? import("@stitches/react/types/stitches").ThemeTokens<Argument1, ""> : import("@stitches/react/types/stitches").ThemeTokens<Argument0, "">), config: {
    prefix: "";
    media: {
        xlarge: ` (min-width: ${number}px)`;
        large: `(min-width: ${number}px)`;
        mediumAndAbove: `(min-width: ${number}px)`;
        medium: ` (max-width: ${number}px)`;
        small: `(max-width: ${number}px)`;
    };
    theme: {
        colors: {
            transparent: string;
            current: string;
            black: string;
            white: string;
            neutral_gray0: string;
            neutral_gray2: string;
            neutral_gray4: string;
            neutral_gray6: string;
            neutral_gray8: string;
            neutral_gray10: string;
            neutral_gray20: string;
            neutral_gray30: string;
            neutral_gray40: string;
            neutral_gray50: string;
            neutral_gray60: string;
            neutral_gray70: string;
            neutral_gray80: string;
            neutral_gray90: string;
            neutral_gray100: string;
            primary_blue0: string;
            primary_blue2: string;
            primary_blue4: string;
            primary_blue6: string;
            primary_blue8: string;
            primary_blue10: string;
            primary_blue20: string;
            primary_blue30: string;
            primary_blue40: string;
            primary_blue50: string;
            primary_blue60: string;
            primary_blue70: string;
            primary_blue80: string;
            primary_blue90: string;
            primary_blue100: string;
            orange_alert0: string;
            orange_alert2: string;
            orange_alert4: string;
            orange_alert6: string;
            orange_alert8: string;
            orange_alert10: string;
            orange_alert20: string;
            orange_alert30: string;
            orange_alert40: string;
            orange_alert50: string;
            orange_alert60: string;
            orange_alert70: string;
            orange_alert80: string;
            orange_alert90: string;
            orange_alert100: string;
            green_success0: string;
            green_success2: string;
            green_success4: string;
            green_success6: string;
            green_success8: string;
            green_success10: string;
            green_success20: string;
            green_success30: string;
            green_success40: string;
            green_success50: string;
            green_success60: string;
            green_success70: string;
            green_success80: string;
            green_success90: string;
            green_success100: string;
            red_danger0: string;
            red_danger2: string;
            red_danger4: string;
            red_danger6: string;
            red_danger8: string;
            red_danger10: string;
            red_danger20: string;
            red_danger30: string;
            red_danger40: string;
            red_danger50: string;
            red_danger60: string;
            red_danger70: string;
            red_danger80: string;
            red_danger90: string;
            red_danger100: string;
            primary: string;
            primarySaturated: string;
            primaryDarker: string;
            secondary: string;
            secondarySaturated: string;
            secondaryDarker: string;
            success: string;
            warning: string;
            alert: string;
            successLight: string;
            warningLight: string;
            alertLight: string;
            successDark: string;
            warningDark: string;
            alertDark: string;
            gray: string;
            grayLighter: string;
            grayLight: string;
            grayDark: string;
            grayDarker: string;
            grayDarkest: string;
            blueGray: string;
            blueGrayLightest: string;
            blueGrayLighter: string;
            blueGrayLight: string;
            blueGrayDark: string;
            shadow: string;
            shadowWeakest: string;
            shadowWeaker: string;
            shadowWeak: string;
            shadowStrong: string;
            shadowStronger: string;
            shadowStrongest: string;
            fog: string;
            fogWeakest: string;
            fogWeaker: string;
            fogWeak: string;
            fogStrong: string;
            fogStronger: string;
            fogStrongest: string;
        };
        fontSizes: {
            small_title1: string;
            small_title2: string;
            small_title3: string;
            small_title4: string;
            small_title5: string;
            small_title6: string;
            small_large: string;
            small_regular: string;
            small_small: string;
            small_micro: string;
            large_title1: string;
            large_title2: string;
            large_title3: string;
            large_title4: string;
            large_title5: string;
            large_title6: string;
            large_large: string;
            large_regular: string;
            large_small: string;
            large_micro: string;
        };
        fontWeights: {
            bold: number;
            light: number;
            normal: number;
            semibold: number;
        };
        lineHeight: {
            regular: number;
            short: number;
            shorter: number;
            tall: number;
        };
        breakpoints: {
            small: number;
            medium: number;
            large: number;
            xlarge: number;
        };
        space: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            gutter_small_micro_top: string;
            gutter_small_micro_right: string;
            gutter_small_micro_bottom: string;
            gutter_small_micro_left: string;
            gutter_small_small_top: string;
            gutter_small_small_right: string;
            gutter_small_small_bottom: string;
            gutter_small_small_left: string;
            gutter_small_regular_top: string;
            gutter_small_regular_right: string;
            gutter_small_regular_bottom: string;
            gutter_small_regular_left: string;
            gutter_small_large_top: string;
            gutter_small_large_right: string;
            gutter_small_large_bottom: string;
            gutter_small_large_left: string;
            gutter_medium_micro_top: string;
            gutter_medium_micro_right: string;
            gutter_medium_micro_bottom: string;
            gutter_medium_micro_left: string;
            gutter_medium_small_top: string;
            gutter_medium_small_right: string;
            gutter_medium_small_bottom: string;
            gutter_medium_small_left: string;
            gutter_medium_regular_top: string;
            gutter_medium_regular_right: string;
            gutter_medium_regular_bottom: string;
            gutter_medium_regular_left: string;
            gutter_medium_large_top: string;
            gutter_medium_large_right: string;
            gutter_medium_large_bottom: string;
            gutter_medium_large_left: string;
            gutter_large_micro_top: string;
            gutter_large_micro_right: string;
            gutter_large_micro_bottom: string;
            gutter_large_micro_left: string;
            gutter_large_small: string;
            gutter_large_regular_top: string;
            gutter_large_regular_right: string;
            gutter_large_regular_bottom: string;
            gutter_large_regular_left: string;
            gutter_large_large_top: string;
            gutter_large_large_right: string;
            gutter_large_large_bottom: string;
            gutter_large_large_left: string;
            gutter_xlarge_micro_top: string;
            gutter_xlarge_micro_right: string;
            gutter_xlarge_micro_bottom: string;
            gutter_xlarge_micro_left: string;
            gutter_xlarge_small_top: string;
            gutter_xlarge_small_right: string;
            gutter_xlarge_small_bottom: string;
            gutter_xlarge_small_left: string;
            gutter_xlarge_regular_top: string;
            gutter_xlarge_regular_right: string;
            gutter_xlarge_regular_bottom: string;
            gutter_xlarge_regular_left: string;
            gutter_xlarge_large_top: string;
            gutter_xlarge_large_right: string;
            gutter_xlarge_large_bottom: string;
            gutter_xlarge_large_left: string;
        };
    };
    themeMap: {
        height: "space";
        width: "space";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        blockSize: "sizes";
        minBlockSize: "sizes";
        maxBlockSize: "sizes";
        inlineSize: "sizes";
        minInlineSize: "sizes";
        maxInlineSize: "sizes";
        minWidth: "sizes";
        maxWidth: "sizes";
        minHeight: "sizes";
        maxHeight: "sizes";
        flexBasis: "sizes";
        gridTemplateColumns: "sizes";
        gridTemplateRows: "sizes";
        borderWidth: "borderWidths";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    };
    utils: {
        flexHorizontalCenter: (gap: string) => {
            display: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        flexVerticalCenter: (gap: string) => {
            display: string;
            flexDirection: string;
            alignItems: string;
            justifyContent: string;
            gap: string;
        };
        verticalPadding: (value: string) => {
            paddingTop: string;
            paddingBottom: string;
        };
        horizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        compactHorizontalPadding: (value: string) => {
            paddingRight: string;
            paddingLeft: string;
        };
        cellColumnslarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        size: (size: number) => {
            width: string;
        };
        mediumSize: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        largeSize: (size: number) => {
            "@large": {
                width: string;
            };
        };
        xlargeSize: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
        columns: (size: number) => {
            width: string;
        };
        columnsOnMedium: (size: number) => {
            "@mediumAndAbove": {
                width: string;
            };
        };
        columnsOnLarge: (size: number) => {
            "@large": {
                width: string;
            };
        };
        columnsOnXlarge: (size: number) => {
            "@xlarge": {
                width: string;
            };
        };
    };
}, media: any, utils: any;
//# sourceMappingURL=theme.d.ts.map