declare const theme: {
    unit: number;
    units: (value: any) => number;
    radius: number;
    columns: number;
    icon: {
        defaultColor: string;
        size: {
            micro: number;
            smaller: number;
            small: number;
            default: number;
            large: number;
            huge: number;
        };
    };
    container: {
        micro: number;
        small: number;
        default: number;
        large: number;
    };
    weight: {
        light: number;
        normal: number;
        medium: number;
        bold: number;
        black: number;
    };
    font: {
        default: string[];
        icon: string;
    };
    button: {
        horizontalPadding: number;
        compactHorizontalPadding: number;
        wideHorizontalPadding: number;
        verticalPadding: number;
        borderWidth: number;
        height: number;
        shortHeight: number;
        tallHeight: number;
        radius: number;
        fontSize: number;
        fontSizeOnLarge: number;
        largeFontSize: number;
        largeFontSizeOnLarge: number;
        smallFontSize: number;
        smallFontSizeOnLarge: number;
        spacing: number;
        bottomSpacing: number;
        fontWeight: number;
        fontFamily: string[];
    };
    input: {
        inlineSpacing: number;
        spacing: number;
        borderRadius: number;
        background: string;
        color: string;
        placeholderColor: string;
        verticalPadding: number;
        horizontalPadding: number;
        default: {
            background: string;
            color: string;
            fontFamily: string[];
            fontSize: number;
            letterSpacing: string;
            lineHeight: number;
            marginBottom: number;
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
            borderRadius: number;
        };
        disabled: {
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
            borderRadius: number;
            background: string;
        };
        invalid: {
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
            borderRadius: number;
            background: string;
        };
        small: {
            color: string;
            fontFamily: string[];
            fontSize: number;
            letterSpacing: string;
            lineHeight: number;
            height: number;
        };
        focus: {
            background: string;
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
            borderRadius: number;
        };
        radio: {
            size: number;
            background: any;
            borderRadius: string;
            border: {
                borderColor: string;
                borderRadius: string;
                borderWidth: number;
                borderStyle: string;
            };
            disabled: {
                background: string;
                border: {
                    borderRadius: string;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
            };
            invalid: {
                background: string;
                border: {
                    borderRadius: string;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
            };
            checkMark: {
                width: number;
                height: number;
                background: string;
                borderRadius: string;
            };
        };
        checkbox: {
            size: number;
            background: any;
            borderRadius: number;
            border: {
                borderColor: string;
                borderRadius: number;
                borderWidth: number;
                borderStyle: string;
            };
            disabled: {
                background: string;
                border: {
                    borderRadius: number;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
            };
            invalid: {
                background: string;
                border: {
                    borderRadius: number;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
            };
            checkMark: {
                width: number;
                height: number;
                background: string;
            };
        };
    };
    fontSize: {
        small: {
            title1: number;
            title2: number;
            title3: number;
            title4: number;
            title5: number;
            title6: number;
            large: number;
            regular: number;
            small: number;
            micro: number;
        };
        large: {
            title1: number;
            title2: number;
            title3: number;
            title4: number;
            title5: number;
            title6: number;
            large: number;
            regular: number;
            small: number;
            micro: number;
        };
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    shadow: {
        level0: {
            boxShadow: string;
        };
        level1: {
            boxShadow: string;
        };
        level2: {
            boxShadow: string;
        };
        level3: {
            boxShadow: string;
        };
    };
    color: {
        error: string;
        negative: string;
        positive: string;
        shimmer: {
            from: string;
            to: string;
        };
        background: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        secondaryLight: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        black: string;
        white: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
        transparent: string;
        scale: string[];
    };
    breakpoint: {
        xlarge: string;
        large: string;
        mediumAndAbove: string;
        medium: string;
        small: string;
    };
    animation: {
        shimmer: {
            "0%": {
                backgroundColor: string;
            };
            "50%": {
                backgroundColor: string;
            };
            "100%": {
                backgroundColor: string;
            };
        };
        spinner: {
            from: {
                transform: string;
            };
            to: {
                transform: string;
            };
        };
    };
    gutter: {
        small: {
            micro: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            small: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            regular: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            large: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
        };
        medium: {
            micro: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            small: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            regular: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            large: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
        };
        large: {
            micro: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            small: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            regular: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            large: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
        };
        xlarge: {
            micro: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            small: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            regular: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
            large: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            };
        };
    };
};
export default theme;
//# sourceMappingURL=themeCinnectaUi.d.ts.map